Bug 597088 - modem manager disappeared while opening serial device
modem manager disappeared while opening serial device
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 597296 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 01:42 EDT by Andy
Modified: 2010-10-10 15:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: ModemManager-0.4-4.git20100720.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 19:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy 2010-05-28 01:42:14 EDT
Description of problem:
modem manager disappeared while opening serial device - USB Modem Huawei Model E220

Version-Release number of selected component (if applicable):
Fedora 12 or 13 with latest updates fitted.
Current Config on Lenovo T500 running Fedora 13 - Installed Packages
NetworkManager.i686                        1:0.8.1-0.1.git20100510.fc13             @anaconda-InstallationRepo-201005130056.i386
NetworkManager-glib.i686                   1:0.8.1-0.1.git20100510.fc13             @anaconda-InstallationRepo-201005130056.i386
NetworkManager-gnome.i686                  1:0.8.1-0.1.git20100510.fc13             @anaconda-InstallationRepo-201005130056.i386
NetworkManager-openconnect.i686            0.7.997-1.fc13                           @anaconda-InstallationRepo-201005130056.i386
NetworkManager-openvpn.i686                1:0.7.997-1.fc13                         @anaconda-InstallationRepo-201005130056.i386
NetworkManager-pptp.i686                   1:0.7.997-3.git20100120.fc13             @anaconda-InstallationRepo-201005130056.i386
NetworkManager-vpnc.i686                   1:0.8.0-1.git20100411.fc13               @anaconda-InstallationRepo-201005130056.i386
ModemManager.i686                      0.3-12.git20100504.fc13                      @anaconda-InstallationRepo-201005130056.i386
ppp.i686                                   2.4.5-8.fc13                             @anaconda-InstallationRepo-201005130056.i386


How reproducible:
Totally every time.

Steps to Reproduce:
1.Plug in USB modem and wait for recognition of device.
2.Configure Network Connections - Mobile Broadband using Wizard. South Africa Vodacom Default.
3.Connect using Vodacom Default 1
  
Actual results:
Almost immediate fall back to idle with no connection

Expected results:
Connection to Vodacom Default 1

Additional info:
From /var/log/messages.
May 27 08:14:30 andys-nb NetworkManager[1424]: <info> Activation (ttyUSB0) starting connection 'Vodacom Default 1'
May 27 08:14:30 andys-nb NetworkManager[1424]: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
May 27 08:14:30 andys-nb NetworkManager[1424]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
May 27 08:14:30 andys-nb NetworkManager[1424]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
May 27 08:14:30 andys-nb NetworkManager[1424]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
May 27 08:14:30 andys-nb modem-manager: (ttyUSB0) opening serial device...
May 27 08:14:30 andys-nb modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
May 27 08:14:30 andys-nb modem-manager: (ttyUSB1) opening serial device...
May 27 08:14:31 andys-nb modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
May 27 08:14:31 andys-nb modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> the modem manager disappeared
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> (ttyUSB0): now unmanaged
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> (ttyUSB0): device state change: 4 -> 1 (reason 36)
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> (ttyUSB0): deactivating device (reason: 36).
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> (ttyUSB0): cleaning up...
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> (ttyUSB0): taking down device.
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> trying to start the modem manager...
May 27 08:14:31 andys-nb NetworkManager[1424]: <info> modem-manager is now available
Comment 1 Stephan Ebelt 2010-05-28 10:17:10 EDT
I have a very similar problem with a build-in Sierra Modem. I can not establish a connection since NetworkManager (nm-applet) never allows me to select it. Though, the connection+modem did work in F12 occasionally (more details below the log). Heres what I see in /var/log/messages:

===
May 28 15:59:59 localhost NetworkManager[1174]: <info> the modem manager disappeared
May 28 15:59:59 localhost NetworkManager[1174]: <info> trying to start the modem manager...
May 28 15:59:59 localhost modem-manager: Loaded plugin Generic
May 28 15:59:59 localhost modem-manager: Loaded plugin Huawei
May 28 15:59:59 localhost NetworkManager[1174]: <info> modem-manager is now available
May 28 15:59:59 localhost modem-manager: Loaded plugin Novatel
May 28 15:59:59 localhost modem-manager: Loaded plugin AnyData
May 28 15:59:59 localhost modem-manager: Loaded plugin Longcheer
May 28 15:59:59 localhost modem-manager: Loaded plugin MotoC
May 28 15:59:59 localhost modem-manager: Loaded plugin Nokia
May 28 15:59:59 localhost modem-manager: Loaded plugin Option High-Speed
May 28 15:59:59 localhost modem-manager: Loaded plugin Gobi
May 28 15:59:59 localhost modem-manager: Loaded plugin Option
May 28 15:59:59 localhost modem-manager: Loaded plugin ZTE
May 28 15:59:59 localhost modem-manager: Loaded plugin Ericsson MBM
May 28 15:59:59 localhost modem-manager: Loaded plugin Sierra
May 28 15:59:59 localhost modem-manager: (ttyUSB0) opening serial device...
May 28 15:59:59 localhost modem-manager: (ttyUSB1) opening serial device...
May 28 15:59:59 localhost modem-manager: (ttyUSB2) opening serial device...
May 28 16:00:06 localhost modem-manager: (ttyUSB0) closing serial device...
May 28 16:00:06 localhost modem-manager: (ttyUSB0) opening serial device...
May 28 16:00:06 localhost modem-manager: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 claimed port ttyUSB0
May 28 16:00:06 localhost modem-manager: (ttyUSB2) opening serial device...
May 28 16:00:06 localhost modem-manager: (ttyUSB0) closing serial device...
May 28 16:00:14 localhost modem-manager: (ttyUSB1) closing serial device...
May 28 16:00:14 localhost modem-manager: (ttyUSB1) opening serial device...
May 28 16:00:19 localhost modem-manager: (ttyUSB2) closing serial device...
May 28 16:00:19 localhost modem-manager: (ttyUSB2) opening serial device...
May 28 16:00:20 localhost modem-manager: (ttyUSB1) closing serial device...
May 28 16:00:25 localhost modem-manager: (ttyUSB2) closing serial device...
May 28 16:00:25 localhost NetworkManager[1174]: <info> the modem manager disappeared
May 28 16:00:25 localhost NetworkManager[1174]: <info> trying to start the modem manager...
May 28 16:00:25 localhost NetworkManager[1174]: <info> modem-manager is now available
[...]
===

NetworkManager is constantly trying to restart modem-manager all the time.

Now my observations from F12:

I have seen more or less the same log output there. One time I tried to get more info by running modem-manager --debug which did not reveal anything enlightening to me. Then I played further with minicom to see whether the modem itself works, which it did.

At some point during these tests the modem+connection became visible in nm-applet all of a sudden. I could then successfully establish a connection by clicking it.

What I had done was I entered the sim-card PIN number manually using AT commands in minicom. After I did that once NetworkManager (or ModemManager?) started to ask me for the PIN with an X window popup (ie when waking up from suspend). It never asked that before.

I am trying to reproduce this with f13.
Comment 2 Stephan Ebelt 2010-06-04 07:36:44 EDT
I can confirm that entering the sim PIN manually (at+cpin?, at+cpin="1111") stops the modem-manager crashes on f13.

However, the modem+connection is not becoming visible in nm-applet. Also I dont see popups that request the PIN anymore on f13 (on f12 it asked that and thereafter the connection became visible/usable). So far I can not use UMTS at all with f13.
Comment 3 i003783 2010-06-07 10:12:51 EDT
I had no problem with my Huawei E220 3G modem up to FC11. With FC12 it did not work and I resolved it by upgrading NetworkManager and ModemManger, that did the trick.With FC13 it now stop working as well. I have the latest NetworkManager and ModemManger installed. Below is the messages from /var/log/messages:
Jun  2 07:29:34 localhost kernel: imklog 4.4.2, log source = /proc/kmsg started.
Jun  2 07:29:34 localhost rsyslogd: [origin software="rsyslogd" swVersion="4.4.2" x-pid="1089" x-info="http://www.rsyslog.com"] (re)start
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys cpuset
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys cpu
Jun  2 07:29:34 localhost kernel: Linux version 2.6.33.3-85.fc13.x86_64 (mockbuild@x86-02.phx2.fedoraproject.org) (gcc version 4.4.4 20100503 (Red Hat 4.4.4-2) (GCC) ) #1 SMP Thu May 6 18:09:49 UTC 2010
Jun  2 07:29:34 localhost kernel: Command line: ro root=/dev/mapper/vg_chrispc-lv_root  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
Jun  2 07:29:34 localhost kernel: BIOS-provided physical RAM map:
Jun  2 07:29:34 localhost kernel: BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 0000000000100000 - 00000000affb0000 (usable)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000affb0000 - 00000000affbe000 (ACPI data)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000affbe000 - 00000000affe0000 (ACPI NVS)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000affe0000 - 00000000affee000 (reserved)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000afff0000 - 00000000b0000000 (reserved)
Jun  2 07:29:34 localhost kernel: BIOS-e820: 00000000ff700000 - 0000000100000000 (reserved)
Jun  2 07:29:34 localhost kernel: NX (Execute Disable) protection: active
Jun  2 07:29:34 localhost kernel: DMI present.
Jun  2 07:29:34 localhost kernel: AMI BIOS detected: BIOS may corrupt low RAM, working around it.
Jun  2 07:29:34 localhost kernel: No AGP bridge found
Jun  2 07:29:34 localhost kernel: last_pfn = 0xaffb0 max_arch_pfn = 0x400000000
Jun  2 07:29:34 localhost kernel: x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Jun  2 07:29:34 localhost kernel: found SMP MP-table at [ffff8800000ff780] ff780
Jun  2 07:29:34 localhost kernel: init_memory_mapping: 0000000000000000-00000000affb0000
Jun  2 07:29:34 localhost kernel: RAMDISK: 3743b000 - 37fefe7b
Jun  2 07:29:34 localhost kernel: ACPI: RSDP 00000000000fa9a0 00014 (v00 ACPIAM)
Jun  2 07:29:34 localhost kernel: ACPI: RSDT 00000000affb0000 00040 (v01 FSC    PC       20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: FACP 00000000affb0200 00084 (v02 042409 FACP1414 20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: DSDT 00000000affb05c0 0406D (v01  1AAAA 1AAAA000 00000000 INTL 20051117)
Jun  2 07:29:34 localhost kernel: ACPI: FACS 00000000affbe000 00040
Jun  2 07:29:34 localhost kernel: ACPI: APIC 00000000affb0390 0006C (v01 042409 APIC1414 20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: MCFG 00000000affb0400 0003C (v01 042409 OEMMCFG  20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: SLIC 00000000affb0440 00176 (v01 FSC    PC       20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: OEMB 00000000affbe040 00071 (v01 042409 OEMB1414 20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: HPET 00000000affb4630 00038 (v01 042409 OEMHPET  20090424 MSFT 00000097)
Jun  2 07:29:34 localhost kernel: ACPI: SSDT 00000000affb4670 0028A (v01 A M I  POWERNOW 00000001 AMD  00000001)
Jun  2 07:29:34 localhost kernel: Scanning NUMA topology in Northbridge 24
Jun  2 07:29:34 localhost kernel: No NUMA configuration found
Jun  2 07:29:34 localhost kernel: Faking a node at 0000000000000000-00000000affb0000
Jun  2 07:29:34 localhost kernel: Bootmem setup node 0 0000000000000000-00000000affb0000
Jun  2 07:29:34 localhost kernel:  NODE_DATA [0000000000019000 - 000000000002efff]
Jun  2 07:29:34 localhost kernel:  bootmap [000000000002f000 -  0000000000044ff7] pages 16
Jun  2 07:29:34 localhost kernel: (12 early reservations) ==> bootmem [0000000000 - 00affb0000]
Jun  2 07:29:34 localhost kernel:  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
Jun  2 07:29:34 localhost kernel:  #1 [0001000000 - 0001db92c8]    TEXT DATA BSS ==> [0001000000 - 0001db92c8]
Jun  2 07:29:34 localhost kernel:  #2 [003743b000 - 0037fefe7b]          RAMDISK ==> [003743b000 - 0037fefe7b]
Jun  2 07:29:34 localhost kernel:  #3 [0001dba000 - 0001dba1ac]              BRK ==> [0001dba000 - 0001dba1ac]
Jun  2 07:29:34 localhost kernel:  #4 [00000ff790 - 0000100000]    BIOS reserved ==> [00000ff790 - 0000100000]
Jun  2 07:29:34 localhost kernel:  #5 [00000ff780 - 00000ff790]     MP-table mpf ==> [00000ff780 - 00000ff790]
Jun  2 07:29:34 localhost kernel:  #6 [000009f400 - 00000fc7d0]    BIOS reserved ==> [000009f400 - 00000fc7d0]
Jun  2 07:29:34 localhost kernel:  #7 [00000fc934 - 00000ff780]    BIOS reserved ==> [00000fc934 - 00000ff780]
Jun  2 07:29:34 localhost kernel:  #8 [00000fc7d0 - 00000fc934]     MP-table mpc ==> [00000fc7d0 - 00000fc934]
Jun  2 07:29:34 localhost kernel:  #9 [0000010000 - 0000012000]       TRAMPOLINE ==> [0000010000 - 0000012000]
Jun  2 07:29:34 localhost kernel:  #10 [0000012000 - 0000016000]      ACPI WAKEUP ==> [0000012000 - 0000016000]
Jun  2 07:29:34 localhost kernel:  #11 [0000016000 - 0000019000]          PGTABLE ==> [0000016000 - 0000019000]
Jun  2 07:29:34 localhost kernel: Zone PFN ranges:
Jun  2 07:29:34 localhost kernel:  DMA      0x00000010 -> 0x00001000
Jun  2 07:29:34 localhost kernel:  DMA32    0x00001000 -> 0x00100000
Jun  2 07:29:34 localhost kernel:  Normal   0x00100000 -> 0x00100000
Jun  2 07:29:34 localhost kernel: Movable zone start PFN for each node
Jun  2 07:29:34 localhost kernel: early_node_map[2] active PFN ranges
Jun  2 07:29:34 localhost kernel:    0: 0x00000010 -> 0x0000009f
Jun  2 07:29:34 localhost kernel:    0: 0x00000100 -> 0x000affb0
Jun  2 07:29:34 localhost kernel: Detected use of extended apic ids on hypertransport bus
Jun  2 07:29:34 localhost kernel: ACPI: PM-Timer IO Port: 0x808
Jun  2 07:29:34 localhost kernel: ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Jun  2 07:29:34 localhost kernel: ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Jun  2 07:29:34 localhost kernel: ACPI: LAPIC (acpi_id[0x03] lapic_id[0x82] disabled)
Jun  2 07:29:34 localhost kernel: ACPI: LAPIC (acpi_id[0x04] lapic_id[0x83] disabled)
Jun  2 07:29:34 localhost kernel: ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
Jun  2 07:29:34 localhost kernel: IOAPIC[0]: apic_id 2, version 33, address 0xfec00000, GSI 0-23
Jun  2 07:29:34 localhost kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
Jun  2 07:29:34 localhost kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
Jun  2 07:29:34 localhost kernel: Using ACPI (MADT) for SMP configuration information
Jun  2 07:29:34 localhost kernel: ACPI: HPET id: 0x8300 base: 0xfed00000
Jun  2 07:29:34 localhost kernel: SMP: Allowing 4 CPUs, 2 hotplug CPUs
Jun  2 07:29:34 localhost kernel: PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
Jun  2 07:29:34 localhost kernel: PM: Registered nosave memory: 00000000000a0000 - 00000000000e4000
Jun  2 07:29:34 localhost kernel: PM: Registered nosave memory: 00000000000e4000 - 0000000000100000
Jun  2 07:29:34 localhost kernel: Allocating PCI resources starting at b0000000 (gap: b0000000:4f700000)
Jun  2 07:29:34 localhost kernel: Booting paravirtualized kernel on bare hardware
Jun  2 07:29:34 localhost kernel: setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:4 nr_node_ids:1
Jun  2 07:29:34 localhost kernel: PERCPU: Embedded 30 pages/cpu @ffff880001e00000 s90520 r8192 d24168 u524288
Jun  2 07:29:34 localhost kernel: pcpu-alloc: s90520 r8192 d24168 u524288 alloc=1*2097152
Jun  2 07:29:34 localhost kernel: pcpu-alloc: [0] 0 1 2 3 
Jun  2 07:29:34 localhost kernel: Built 1 zonelists in Node order, mobility grouping on.  Total pages: 710743
Jun  2 07:29:34 localhost kernel: Policy zone: DMA32
Jun  2 07:29:34 localhost kernel: Kernel command line: ro root=/dev/mapper/vg_chrispc-lv_root  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
Jun  2 07:29:34 localhost kernel: PID hash table entries: 4096 (order: 3, 32768 bytes)
Jun  2 07:29:34 localhost kernel: Checking aperture...
Jun  2 07:29:34 localhost kernel: No AGP bridge found
Jun  2 07:29:34 localhost kernel: Node 0: aperture @ 435c000000 size 32 MB
Jun  2 07:29:34 localhost kernel: Aperture beyond 4GB. Ignoring.
Jun  2 07:29:34 localhost kernel: Memory: 2814940k/2883264k available (4295k kernel code, 452k absent, 67872k reserved, 7535k data, 756k init)
Jun  2 07:29:34 localhost kernel: SLUB: Genslabs=14, HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
Jun  2 07:29:34 localhost kernel: Hierarchical RCU implementation.
Jun  2 07:29:34 localhost kernel: NR_IRQS:4352 nr_irqs:440
Jun  2 07:29:34 localhost kernel: Console: colour VGA+ 80x25
Jun  2 07:29:34 localhost kernel: console [tty0] enabled
Jun  2 07:29:34 localhost kernel: allocated 28835840 bytes of page_cgroup
Jun  2 07:29:34 localhost kernel: please try 'cgroup_disable=memory' option if you don't want memory cgroups
Jun  2 07:29:34 localhost kernel: Fast TSC calibration using PIT
Jun  2 07:29:34 localhost kernel: Detected 2600.222 MHz processor.
Jun  2 07:29:34 localhost kernel: Calibrating delay loop (skipped), value calculated using timer frequency.. 5200.44 BogoMIPS (lpj=2600222)
Jun  2 07:29:34 localhost kernel: Security Framework initialized
Jun  2 07:29:34 localhost kernel: SELinux:  Initializing.
Jun  2 07:29:34 localhost kernel: Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Jun  2 07:29:34 localhost kernel: Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Jun  2 07:29:34 localhost kernel: Mount-cache hash table entries: 256
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys debug
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys ns
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys cpuacct
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys memory
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys devices
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys freezer
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys net_cls
Jun  2 07:29:34 localhost kernel: Initializing cgroup subsys blkio
Jun  2 07:29:34 localhost kernel: CPU: Physical Processor ID: 0
Jun  2 07:29:34 localhost kernel: CPU: Processor Core ID: 0
Jun  2 07:29:34 localhost kernel: mce: CPU supports 5 MCE banks
Jun  2 07:29:34 localhost kernel: using C1E aware idle routine
Jun  2 07:29:34 localhost kernel: Performance Events: AMD PMU driver.
Jun  2 07:29:34 localhost kernel: ... version:                0
Jun  2 07:29:34 localhost kernel: ... bit width:              48
Jun  2 07:29:34 localhost kernel: ... generic registers:      4
Jun  2 07:29:34 localhost kernel: ... value mask:             0000ffffffffffff
Jun  2 07:29:34 localhost kernel: ... max period:             00007fffffffffff
Jun  2 07:29:34 localhost kernel: ... fixed-purpose events:   0
Jun  2 07:29:34 localhost kernel: ... event mask:             000000000000000f
Jun  2 07:29:34 localhost kernel: ACPI: Core revision 20091214
Jun  2 07:29:34 localhost kernel: Setting APIC routing to flat
Jun  2 07:29:34 localhost kernel: ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
Jun  2 07:29:34 localhost kernel: CPU0: AMD Athlon(tm) 64 X2 Dual Core Processor 5000+ stepping 02
Jun  2 07:29:34 localhost kernel: Booting Node   0, Processors  #1
Jun  2 07:29:34 localhost kernel: Brought up 2 CPUs
Jun  2 07:29:34 localhost kernel: Total of 2 processors activated (10400.52 BogoMIPS).
Jun  2 07:29:34 localhost kernel: devtmpfs: initialized
Jun  2 07:29:34 localhost kernel: regulator: core version 0.5
Jun  2 07:29:34 localhost kernel: Time:  7:29:20  Date: 06/02/10
Jun  2 07:29:34 localhost kernel: NET: Registered protocol family 16
Jun  2 07:29:34 localhost kernel: TOM: 00000000c0000000 aka 3072M
Jun  2 07:29:34 localhost kernel: ACPI: bus type pci registered
Jun  2 07:29:34 localhost kernel: PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
Jun  2 07:29:34 localhost kernel: PCI: not using MMCONFIG
Jun  2 07:29:34 localhost kernel: PCI: Using configuration type 1 for base access
Jun  2 07:29:34 localhost kernel: bio: create slab <bio-0> at 0
Jun  2 07:29:34 localhost kernel: ACPI: Executed 4 blocks of module-level executable AML code
Jun  2 07:29:34 localhost kernel: ACPI: Interpreter enabled
Jun  2 07:29:34 localhost kernel: ACPI: (supports S0 S3 S4 S5)
Jun  2 07:29:34 localhost kernel: ACPI: Using IOAPIC for interrupt routing
Jun  2 07:29:34 localhost kernel: PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
Jun  2 07:29:34 localhost kernel: PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in ACPI motherboard resources
Jun  2 07:29:34 localhost kernel: ACPI: No dock devices found.
Jun  2 07:29:34 localhost kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Jun  2 07:29:34 localhost kernel: pci_root PNP0A03:00: ignoring host bridge windows from ACPI; boot with "pci=use_crs" to use them
Jun  2 07:29:34 localhost kernel: pci 0000:00:11.0: set SATA to AHCI mode
Jun  2 07:29:34 localhost kernel: pci 0000:00:01.0: PCI bridge to [bus 01-01]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0: PCI bridge to [bus 02-02]
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0: PCI bridge to [bus 03-03]
Jun  2 07:29:34 localhost kernel: pci 0000:00:14.4: PCI bridge to [bus 04-04] (subtractive decode)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 4 *7 10 11 12 14 15)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 4 7 *10 11 12 14 15)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 4 7 10 *11 12 14 15)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 4 7 *10 11 12 14 15)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 4 7 10 11 12 14 15) *0, disabled.
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 4 7 10 11 12 14 15) *0, disabled.
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs *4 10 11 12 14 15)
Jun  2 07:29:34 localhost kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs 4 7 10 11 12 14 15) *0, disabled.
Jun  2 07:29:34 localhost kernel: vgaarb: device added: PCI:0000:01:05.0,decodes=io+mem,owns=io+mem,locks=none
Jun  2 07:29:34 localhost kernel: vgaarb: loaded
Jun  2 07:29:34 localhost kernel: SCSI subsystem initialized
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver usbfs
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver hub
Jun  2 07:29:34 localhost kernel: usbcore: registered new device driver usb
Jun  2 07:29:34 localhost kernel: PCI: Using ACPI for IRQ routing
Jun  2 07:29:34 localhost kernel: NetLabel: Initializing
Jun  2 07:29:34 localhost kernel: NetLabel:  domain hash size = 128
Jun  2 07:29:34 localhost kernel: NetLabel:  protocols = UNLABELED CIPSOv4
Jun  2 07:29:34 localhost kernel: NetLabel:  unlabeled traffic allowed by default
Jun  2 07:29:34 localhost kernel: hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0
Jun  2 07:29:34 localhost kernel: hpet0: 4 comparators, 32-bit 14.318180 MHz counter
Jun  2 07:29:34 localhost kernel: Switching to clocksource hpet
Jun  2 07:29:34 localhost kernel: pnp: PnP ACPI init
Jun  2 07:29:34 localhost kernel: ACPI: bus type pnp registered
Jun  2 07:29:34 localhost kernel: pnp: PnP ACPI: found 11 devices
Jun  2 07:29:34 localhost kernel: ACPI: ACPI bus type pnp unregistered
Jun  2 07:29:34 localhost kernel: system 00:01: [mem 0xb0000000-0xbfffffff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:07: [mem 0xfec00000-0xfec00fff] could not be reserved
Jun  2 07:29:34 localhost kernel: system 00:07: [mem 0xfee00000-0xfee00fff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x04d0-0x04d1] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x040b] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x04d6] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c00-0x0c01] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c14] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c50-0x0c51] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c52] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c6c] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0c6f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0cd0-0x0cd1] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0cd2-0x0cd3] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0cd4-0x0cd5] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0cd6-0x0cd7] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0cd8-0x0cdf] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0800-0x089f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0b20-0x0b2f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0900-0x090f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0x0910-0x091f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [io  0xfe00-0xfefe] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [mem 0xffb80000-0xffbfffff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [mem 0xfec10000-0xfec1001f] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:08: [mem 0xfff00000-0xffffffff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:09: [mem 0xe0000000-0xefffffff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:0a: [mem 0x00000000-0x0009ffff] could not be reserved
Jun  2 07:29:34 localhost kernel: system 00:0a: [mem 0x000c0000-0x000cffff] has been reserved
Jun  2 07:29:34 localhost kernel: system 00:0a: [mem 0x000e0000-0x000fffff] could not be reserved
Jun  2 07:29:34 localhost kernel: system 00:0a: [mem 0x00100000-0xafffffff] could not be reserved
Jun  2 07:29:34 localhost kernel: system 00:0a: [mem 0xfec00000-0xffffffff] could not be reserved
Jun  2 07:29:34 localhost kernel: pci 0000:00:01.0: PCI bridge to [bus 01-01]
Jun  2 07:29:34 localhost kernel: pci 0000:00:01.0:   bridge window [io  0xd000-0xdfff]
Jun  2 07:29:34 localhost kernel: pci 0000:00:01.0:   bridge window [mem 0xfe800000-0xfe9fffff]
Jun  2 07:29:34 localhost kernel: pci 0000:00:01.0:   bridge window [mem 0xd0000000-0xdfffffff 64bit pref]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0: PCI bridge to [bus 02-02]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0:   bridge window [io  disabled]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0:   bridge window [mem 0xfea00000-0xfeafffff]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0:   bridge window [mem pref disabled]
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0: PCI bridge to [bus 03-03]
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0:   bridge window [io  0xe000-0xefff]
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0:   bridge window [mem 0xfeb00000-0xfebfffff]
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0:   bridge window [mem 0xfdf00000-0xfdffffff 64bit pref]
Jun  2 07:29:34 localhost kernel: pci 0000:00:14.4: PCI bridge to [bus 04-04]
Jun  2 07:29:34 localhost kernel: pci 0000:00:14.4:   bridge window [io  disabled]
Jun  2 07:29:34 localhost kernel: pci 0000:00:14.4:   bridge window [mem disabled]
Jun  2 07:29:34 localhost kernel: pci 0000:00:14.4:   bridge window [mem pref disabled]
Jun  2 07:29:34 localhost kernel: pci 0000:00:05.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
Jun  2 07:29:34 localhost kernel: pci 0000:00:0a.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: NET: Registered protocol family 2
Jun  2 07:29:34 localhost kernel: IP route cache hash table entries: 131072 (order: 8, 1048576 bytes)
Jun  2 07:29:34 localhost kernel: TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
Jun  2 07:29:34 localhost kernel: TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
Jun  2 07:29:34 localhost kernel: TCP: Hash tables configured (established 524288 bind 65536)
Jun  2 07:29:34 localhost kernel: TCP reno registered
Jun  2 07:29:34 localhost kernel: UDP hash table entries: 2048 (order: 4, 65536 bytes)
Jun  2 07:29:34 localhost kernel: UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
Jun  2 07:29:34 localhost kernel: NET: Registered protocol family 1
Jun  2 07:29:34 localhost kernel: Trying to unpack rootfs image as initramfs...
Jun  2 07:29:34 localhost kernel: Freeing initrd memory: 11987k freed
Jun  2 07:29:34 localhost kernel: Intel PCLMULQDQ-NI instructions are not detected.
Jun  2 07:29:34 localhost kernel: audit: initializing netlink socket (disabled)
Jun  2 07:29:34 localhost kernel: type=2000 audit(1275463759.464:1): initialized
Jun  2 07:29:34 localhost kernel: HugeTLB registered 2 MB page size, pre-allocated 0 pages
Jun  2 07:29:34 localhost kernel: VFS: Disk quotas dquot_6.5.2
Jun  2 07:29:34 localhost kernel: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
Jun  2 07:29:34 localhost kernel: msgmni has been set to 5521
Jun  2 07:29:34 localhost kernel: alg: No test for stdrng (krng)
Jun  2 07:29:34 localhost kernel: Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
Jun  2 07:29:34 localhost kernel: io scheduler noop registered
Jun  2 07:29:34 localhost kernel: io scheduler deadline registered
Jun  2 07:29:34 localhost kernel: io scheduler cfq registered (default)
Jun  2 07:29:34 localhost kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Jun  2 07:29:34 localhost kernel: pciehp: PCI Express Hot Plug Controller Driver version: 0.4
Jun  2 07:29:34 localhost kernel: acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
Jun  2 07:29:34 localhost kernel: pci-stub: invalid id string ""
Jun  2 07:29:34 localhost kernel: input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
Jun  2 07:29:34 localhost kernel: ACPI: Power Button [PWRB]
Jun  2 07:29:34 localhost kernel: input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
Jun  2 07:29:34 localhost kernel: ACPI: Power Button [PWRF]
Jun  2 07:29:34 localhost kernel: Non-volatile memory driver v1.3
Jun  2 07:29:34 localhost kernel: Linux agpgart interface v0.103
Jun  2 07:29:34 localhost kernel: Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
Jun  2 07:29:34 localhost kernel: brd: module loaded
Jun  2 07:29:34 localhost kernel: loop: module loaded
Jun  2 07:29:34 localhost kernel: input: Macintosh mouse button emulation as /devices/virtual/input/input2
Jun  2 07:29:34 localhost kernel: ahci 0000:00:11.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
Jun  2 07:29:34 localhost kernel: ahci 0000:00:11.0: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0xf impl SATA mode
Jun  2 07:29:34 localhost kernel: ahci 0000:00:11.0: flags: 64bit ncq sntf ilck pm led clo pmp pio slum part ccc 
Jun  2 07:29:34 localhost kernel: scsi0 : ahci
Jun  2 07:29:34 localhost kernel: scsi1 : ahci
Jun  2 07:29:34 localhost kernel: scsi2 : ahci
Jun  2 07:29:34 localhost kernel: scsi3 : ahci
Jun  2 07:29:34 localhost kernel: ata1: SATA max UDMA/133 abar m1024@0xfe7ff800 port 0xfe7ff900 irq 22
Jun  2 07:29:34 localhost kernel: ata2: SATA max UDMA/133 abar m1024@0xfe7ff800 port 0xfe7ff980 irq 22
Jun  2 07:29:34 localhost kernel: ata3: SATA max UDMA/133 abar m1024@0xfe7ff800 port 0xfe7ffa00 irq 22
Jun  2 07:29:34 localhost kernel: ata4: SATA max UDMA/133 abar m1024@0xfe7ff800 port 0xfe7ffa80 irq 22
Jun  2 07:29:34 localhost kernel: Fixed MDIO Bus: probed
Jun  2 07:29:34 localhost kernel: ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: EHCI Host Controller
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: new USB bus registered, assigned bus number 1
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: applying AMD SB600/SB700 USB freeze workaround
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: debug port 1
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: irq 17, io mem 0xfe7ff000
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:12.2: USB 2.0 started, EHCI 1.00
Jun  2 07:29:34 localhost kernel: usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
Jun  2 07:29:34 localhost kernel: usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb1: Product: EHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb1: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ehci_hcd
Jun  2 07:29:34 localhost kernel: usb usb1: SerialNumber: 0000:00:12.2
Jun  2 07:29:34 localhost kernel: hub 1-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 1-0:1.0: 6 ports detected
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: EHCI Host Controller
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 2
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: applying AMD SB600/SB700 USB freeze workaround
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: debug port 1
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: irq 19, io mem 0xfe7fa800
Jun  2 07:29:34 localhost kernel: ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00
Jun  2 07:29:34 localhost kernel: usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
Jun  2 07:29:34 localhost kernel: usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb2: Product: EHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb2: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ehci_hcd
Jun  2 07:29:34 localhost kernel: usb usb2: SerialNumber: 0000:00:13.2
Jun  2 07:29:34 localhost kernel: hub 2-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 2-0:1.0: 6 ports detected
Jun  2 07:29:34 localhost kernel: ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.0: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.0: new USB bus registered, assigned bus number 3
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.0: irq 16, io mem 0xfe7fe000
Jun  2 07:29:34 localhost kernel: usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
Jun  2 07:29:34 localhost kernel: usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb3: Product: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb3: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ohci_hcd
Jun  2 07:29:34 localhost kernel: usb usb3: SerialNumber: 0000:00:12.0
Jun  2 07:29:34 localhost kernel: hub 3-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 3-0:1.0: 3 ports detected
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.1: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.1: new USB bus registered, assigned bus number 4
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:12.1: irq 16, io mem 0xfe7fd000
Jun  2 07:29:34 localhost kernel: usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
Jun  2 07:29:34 localhost kernel: usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb4: Product: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb4: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ohci_hcd
Jun  2 07:29:34 localhost kernel: usb usb4: SerialNumber: 0000:00:12.1
Jun  2 07:29:34 localhost kernel: hub 4-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 4-0:1.0: 3 ports detected
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.0: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 5
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.0: irq 18, io mem 0xfe7fc000
Jun  2 07:29:34 localhost kernel: usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
Jun  2 07:29:34 localhost kernel: usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb5: Product: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb5: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ohci_hcd
Jun  2 07:29:34 localhost kernel: usb usb5: SerialNumber: 0000:00:13.0
Jun  2 07:29:34 localhost kernel: hub 5-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 5-0:1.0: 3 ports detected
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.1: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.1: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 6
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:13.1: irq 18, io mem 0xfe7fb000
Jun  2 07:29:34 localhost kernel: usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
Jun  2 07:29:34 localhost kernel: usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb6: Product: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb6: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ohci_hcd
Jun  2 07:29:34 localhost kernel: usb usb6: SerialNumber: 0000:00:13.1
Jun  2 07:29:34 localhost kernel: hub 6-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 6-0:1.0: 3 ports detected
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:14.5: PCI INT C -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:14.5: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:14.5: new USB bus registered, assigned bus number 7
Jun  2 07:29:34 localhost kernel: ohci_hcd 0000:00:14.5: irq 18, io mem 0xfe7f9000
Jun  2 07:29:34 localhost kernel: usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
Jun  2 07:29:34 localhost kernel: usb usb7: New USB device strings: Mfr=3, Product=2, SerialNumber=1
Jun  2 07:29:34 localhost kernel: usb usb7: Product: OHCI Host Controller
Jun  2 07:29:34 localhost kernel: usb usb7: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 ohci_hcd
Jun  2 07:29:34 localhost kernel: usb usb7: SerialNumber: 0000:00:14.5
Jun  2 07:29:34 localhost kernel: hub 7-0:1.0: USB hub found
Jun  2 07:29:34 localhost kernel: hub 7-0:1.0: 2 ports detected
Jun  2 07:29:34 localhost kernel: uhci_hcd: USB Universal Host Controller Interface driver
Jun  2 07:29:34 localhost kernel: PNP: No PS/2 controller found. Probing ports directly.
Jun  2 07:29:34 localhost kernel: mice: PS/2 mouse device common for all mice
Jun  2 07:29:34 localhost kernel: rtc_cmos 00:03: RTC can wake from S4
Jun  2 07:29:34 localhost kernel: rtc_cmos 00:03: rtc core: registered rtc_cmos as rtc0
Jun  2 07:29:34 localhost kernel: rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
Jun  2 07:29:34 localhost kernel: device-mapper: uevent: version 1.0.3
Jun  2 07:29:34 localhost kernel: device-mapper: ioctl: 4.17.0-ioctl (2010-03-05) initialised: dm-devel@redhat.com
Jun  2 07:29:34 localhost kernel: cpuidle: using governor ladder
Jun  2 07:29:34 localhost kernel: cpuidle: using governor menu
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver hiddev
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver usbhid
Jun  2 07:29:34 localhost kernel: usbhid: USB HID core driver
Jun  2 07:29:34 localhost kernel: nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
Jun  2 07:29:34 localhost kernel: CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
Jun  2 07:29:34 localhost kernel: nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
Jun  2 07:29:34 localhost kernel: sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
Jun  2 07:29:34 localhost kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
Jun  2 07:29:34 localhost kernel: TCP cubic registered
Jun  2 07:29:34 localhost kernel: Initializing XFRM netlink socket
Jun  2 07:29:34 localhost kernel: NET: Registered protocol family 17
Jun  2 07:29:34 localhost kernel: registered taskstats version 1
Jun  2 07:29:34 localhost kernel: No TPM chip found, activating TPM-bypass!
Jun  2 07:29:34 localhost kernel:  Magic number: 14:813:469
Jun  2 07:29:34 localhost kernel: rtc_cmos 00:03: setting system clock to 2010-06-02 07:29:20 UTC (1275463760)
Jun  2 07:29:34 localhost kernel: Initalizing network drop monitor service
Jun  2 07:29:34 localhost kernel: ata2: SATA link down (SStatus 0 SControl 300)
Jun  2 07:29:34 localhost kernel: ata4: SATA link down (SStatus 0 SControl 300)
Jun  2 07:29:34 localhost kernel: usb 2-3: new high speed USB device using ehci_hcd and address 2
Jun  2 07:29:34 localhost kernel: ata1: softreset failed (device not ready)
Jun  2 07:29:34 localhost kernel: ata1: applying SB600 PMP SRST workaround and retrying
Jun  2 07:29:34 localhost kernel: ata3: softreset failed (device not ready)
Jun  2 07:29:34 localhost kernel: ata3: applying SB600 PMP SRST workaround and retrying
Jun  2 07:29:34 localhost kernel: ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Jun  2 07:29:34 localhost kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Jun  2 07:29:34 localhost kernel: ata3.00: ATAPI: HL-DT-ST DVDRAM GH10N, EV03, max UDMA/100
Jun  2 07:29:34 localhost kernel: ata3.00: configured for UDMA/100
Jun  2 07:29:34 localhost kernel: ata1.00: ATA-8: ST3500418AS, CC44, max UDMA/133
Jun  2 07:29:34 localhost kernel: ata1.00: 976773168 sectors, multi 16: LBA48 NCQ (depth 31/32)
Jun  2 07:29:34 localhost kernel: ata1.00: configured for UDMA/133
Jun  2 07:29:34 localhost kernel: scsi 0:0:0:0: Direct-Access     ATA      ST3500418AS      CC44 PQ: 0 ANSI: 5
Jun  2 07:29:34 localhost kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0
Jun  2 07:29:34 localhost kernel: sd 0:0:0:0: [sda] 976773168 512-byte logical blocks: (500 GB/465 GiB)
Jun  2 07:29:34 localhost kernel: sd 0:0:0:0: [sda] Write Protect is off
Jun  2 07:29:34 localhost kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jun  2 07:29:34 localhost kernel: sda: sda1 sda2
Jun  2 07:29:34 localhost kernel: sd 0:0:0:0: [sda] Attached SCSI disk
Jun  2 07:29:34 localhost kernel: scsi 2:0:0:0: CD-ROM            HL-DT-ST DVDRAM GH10N     EV03 PQ: 0 ANSI: 5
Jun  2 07:29:34 localhost kernel: sr0: scsi3-mmc drive: 0x/0x writer dvd-ram cd/rw xa/form2 cdda tray
Jun  2 07:29:34 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Jun  2 07:29:34 localhost kernel: sr 2:0:0:0: Attached scsi generic sg1 type 5
Jun  2 07:29:34 localhost kernel: Freeing unused kernel memory: 756k freed
Jun  2 07:29:34 localhost kernel: Write protecting the kernel read-only data: 10240k
Jun  2 07:29:34 localhost kernel: Freeing unused kernel memory: 1828k freed
Jun  2 07:29:34 localhost kernel: Freeing unused kernel memory: 1960k freed
Jun  2 07:29:34 localhost kernel: dracut: dracut-005-3.fc13
Jun  2 07:29:34 localhost kernel: usb 2-3: New USB device found, idVendor=0bda, idProduct=0151
Jun  2 07:29:34 localhost kernel: usb 2-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun  2 07:29:34 localhost kernel: usb 2-3: Product: USB2.0-CRW
Jun  2 07:29:34 localhost kernel: usb 2-3: Manufacturer: Generic
Jun  2 07:29:34 localhost kernel: usb 2-3: SerialNumber: 20060413092100000
Jun  2 07:29:34 localhost kernel: udev: starting version 151
Jun  2 07:29:34 localhost kernel: [drm] Initialized drm 1.1.0 20060810
Jun  2 07:29:34 localhost kernel: [drm] radeon defaulting to kernel modesetting.
Jun  2 07:29:34 localhost kernel: [drm] radeon kernel modesetting enabled.
Jun  2 07:29:34 localhost kernel: radeon 0000:01:05.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: [drm] radeon: Initializing kernel modesetting.
Jun  2 07:29:34 localhost kernel: [drm] register mmio base: 0xFE9F0000
Jun  2 07:29:34 localhost kernel: [drm] register mmio size: 65536
Jun  2 07:29:34 localhost kernel: ATOM BIOS: B27722
Jun  2 07:29:34 localhost kernel: [drm] Clocks initialized !
Jun  2 07:29:34 localhost kernel: [drm] Detected VRAM RAM=256M, BAR=256M
Jun  2 07:29:34 localhost kernel: [drm] RAM width 32bits DDR
Jun  2 07:29:34 localhost kernel: [TTM] Zone  kernel: Available graphics memory: 1415736 kiB.
Jun  2 07:29:34 localhost kernel: [ttm] Initializing pool allocator.
Jun  2 07:29:34 localhost kernel: [drm] radeon: 256M of VRAM memory ready
Jun  2 07:29:34 localhost kernel: [drm] radeon: 512M of GTT memory ready.
Jun  2 07:29:34 localhost kernel: [drm] radeon: irq initialized.
Jun  2 07:29:34 localhost kernel: [drm] GART: num cpu pages 131072, num gpu pages 131072
Jun  2 07:29:34 localhost kernel: [drm] Loading RS780 Microcode
Jun  2 07:29:34 localhost kernel: platform radeon_cp.0: firmware: requesting radeon/RS780_pfp.bin
Jun  2 07:29:34 localhost kernel: platform radeon_cp.0: firmware: requesting radeon/RS780_me.bin
Jun  2 07:29:34 localhost kernel: platform radeon_cp.0: firmware: requesting radeon/R600_rlc.bin
Jun  2 07:29:34 localhost kernel: usb 4-2: new low speed USB device using ohci_hcd and address 2
Jun  2 07:29:34 localhost kernel: [drm] ring test succeeded in 1 usecs
Jun  2 07:29:34 localhost kernel: [drm] radeon: ib pool ready.
Jun  2 07:29:34 localhost kernel: [drm] ib test succeeded in 0 usecs
Jun  2 07:29:34 localhost kernel: [drm] Enabling audio support
Jun  2 07:29:34 localhost kernel: [drm] Radeon Display Connectors
Jun  2 07:29:34 localhost kernel: [drm] Connector 0:
Jun  2 07:29:34 localhost kernel: [drm]   VGA
Jun  2 07:29:34 localhost kernel: [drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
Jun  2 07:29:34 localhost kernel: [drm]   Encoders:
Jun  2 07:29:34 localhost kernel: [drm]     CRT1: INTERNAL_KLDSCP_DAC1
Jun  2 07:29:34 localhost kernel: [drm] Connector 1:
Jun  2 07:29:34 localhost kernel: [drm]   DVI-I
Jun  2 07:29:34 localhost kernel: [drm]   HPD2
Jun  2 07:29:34 localhost kernel: [drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
Jun  2 07:29:34 localhost kernel: [drm]   Encoders:
Jun  2 07:29:34 localhost kernel: [drm]     DFP1: INTERNAL_KLDSCP_LVTMA
Jun  2 07:29:34 localhost kernel: usb 4-2: New USB device found, idVendor=1a81, idProduct=2204
Jun  2 07:29:34 localhost kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  2 07:29:34 localhost kernel: usb 4-2: Product: Optical Mouse
Jun  2 07:29:34 localhost kernel: usb 4-2: Manufacturer: HOLTEK
Jun  2 07:29:34 localhost kernel: input: HOLTEK Optical Mouse as /devices/pci0000:00/0000:00:12.1/usb4/4-2/4-2:1.0/input/input3
Jun  2 07:29:34 localhost kernel: generic-usb 0003:1A81:2204.0001: input,hiddev96,hidraw0: USB HID v1.10 Mouse [HOLTEK Optical Mouse] on usb-0000:00:12.1-2/input0
Jun  2 07:29:34 localhost kernel: [drm] fb mappable at 0xD0141000
Jun  2 07:29:34 localhost kernel: [drm] vram apper at 0xD0000000
Jun  2 07:29:34 localhost kernel: [drm] size 5760000
Jun  2 07:29:34 localhost kernel: [drm] fb depth is 24
Jun  2 07:29:34 localhost kernel: [drm]    pitch is 6400
Jun  2 07:29:34 localhost kernel: fbcon: radeondrmfb (fb0) is primary device
Jun  2 07:29:34 localhost kernel: Console: switching to colour frame buffer device 200x56
Jun  2 07:29:34 localhost kernel: fb0: radeondrmfb frame buffer device
Jun  2 07:29:34 localhost kernel: registered panic notifier
Jun  2 07:29:34 localhost kernel: [drm] Initialized radeon 2.0.0 20080528 for 0000:01:05.0 on minor 0
Jun  2 07:29:34 localhost kernel: dracut: Starting plymouth daemon
Jun  2 07:29:34 localhost kernel: usb 4-3: new low speed USB device using ohci_hcd and address 3
Jun  2 07:29:34 localhost kernel: usb 4-3: New USB device found, idVendor=04d9, idProduct=1603
Jun  2 07:29:34 localhost kernel: usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  2 07:29:34 localhost kernel: usb 4-3: Product: USB Keyboard
Jun  2 07:29:34 localhost kernel: usb 4-3: Manufacturer:  
Jun  2 07:29:34 localhost kernel: input:   USB Keyboard as /devices/pci0000:00/0000:00:12.1/usb4/4-3/4-3:1.0/input/input4
Jun  2 07:29:34 localhost kernel: generic-usb 0003:04D9:1603.0002: input,hidraw1: USB HID v1.10 Keyboard [  USB Keyboard] on usb-0000:00:12.1-3/input0
Jun  2 07:29:34 localhost kernel: input:   USB Keyboard as /devices/pci0000:00/0000:00:12.1/usb4/4-3/4-3:1.1/input/input5
Jun  2 07:29:34 localhost kernel: generic-usb 0003:04D9:1603.0003: input,hidraw2: USB HID v1.10 Device [  USB Keyboard] on usb-0000:00:12.1-3/input1
Jun  2 07:29:34 localhost kernel: Initializing USB Mass Storage driver...
Jun  2 07:29:34 localhost kernel: scsi4 : usb-storage 2-3:1.0
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver usb-storage
Jun  2 07:29:34 localhost kernel: USB Mass Storage support registered.
Jun  2 07:29:34 localhost kernel: firewire_ohci 0000:02:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
Jun  2 07:29:34 localhost kernel: firewire_ohci: Added fw-ohci device 0000:02:00.0, OHCI version 1.10
Jun  2 07:29:34 localhost kernel: firewire_core: created device fw0: GUID 0010dc00016c722c, S400
Jun  2 07:29:34 localhost kernel: dracut: Scanning devices sda2  for LVM volume groups 
Jun  2 07:29:34 localhost kernel: dracut: Reading all physical volumes. This may take a while...
Jun  2 07:29:34 localhost kernel: dracut: Found volume group "vg_chrispc" using metadata type lvm2
Jun  2 07:29:34 localhost kernel: usb 5-1: new full speed USB device using ohci_hcd and address 2
Jun  2 07:29:34 localhost kernel: dracut: 2 logical volume(s) in volume group "vg_chrispc" now active
Jun  2 07:29:34 localhost kernel: usb 5-1: New USB device found, idVendor=12d1, idProduct=1003
Jun  2 07:29:34 localhost kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  2 07:29:34 localhost kernel: usb 5-1: Product: HUAWEI Mobile
Jun  2 07:29:34 localhost kernel: usb 5-1: Manufacturer: HUAWEI Technologies
Jun  2 07:29:34 localhost kernel: scsi5 : usb-storage 5-1:1.0
Jun  2 07:29:34 localhost kernel: EXT4-fs (dm-0): mounted filesystem with ordered data mode
Jun  2 07:29:34 localhost kernel: dracut: Mounted root filesystem /dev/mapper/vg_chrispc-lv_root
Jun  2 07:29:34 localhost kernel: dracut: Loading SELinux policy
Jun  2 07:29:34 localhost kernel: usb 5-1: USB disconnect, address 2
Jun  2 07:29:34 localhost kernel: SELinux:  Disabled at runtime.
Jun  2 07:29:34 localhost kernel: type=1404 audit(1275463764.214:2): selinux=0 auid=4294967295 ses=4294967295
Jun  2 07:29:34 localhost kernel: usb 5-1: new full speed USB device using ohci_hcd and address 3
Jun  2 07:29:34 localhost kernel: dracut: /sbin/load_policy: Can't load policy: No such file or directory
Jun  2 07:29:34 localhost kernel: dracut: Switching root
Jun  2 07:29:34 localhost kernel: usb 5-1: New USB device found, idVendor=12d1, idProduct=1003
Jun  2 07:29:34 localhost kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  2 07:29:34 localhost kernel: usb 5-1: Product: HUAWEI Mobile
Jun  2 07:29:34 localhost kernel: usb 5-1: Manufacturer: HUAWEI Technologies
Jun  2 07:29:34 localhost kernel: scsi8 : usb-storage 5-1:1.2
Jun  2 07:29:34 localhost kernel: readahead-collector: starting
Jun  2 07:29:34 localhost kernel: udev: starting version 151
Jun  2 07:29:34 localhost kernel: microcode: microcode: CPU0: AMD CPU family 0xf not supported
Jun  2 07:29:34 localhost kernel: microcode: microcode: CPU1: AMD CPU family 0xf not supported
Jun  2 07:29:34 localhost kernel: microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
Jun  2 07:29:34 localhost kernel: scsi 4:0:0:0: Direct-Access     Generic- Compact Flash    1.00 PQ: 0 ANSI: 0 CCS
Jun  2 07:29:34 localhost kernel: scsi 4:0:0:1: Direct-Access     Generic- SM/xD-Picture    1.00 PQ: 0 ANSI: 0 CCS
Jun  2 07:29:34 localhost kernel: scsi 4:0:0:2: Direct-Access     Generic- SD/MMC           1.00 PQ: 0 ANSI: 0 CCS
Jun  2 07:29:34 localhost kernel: scsi 4:0:0:3: Direct-Access     Generic- MS/MS-Pro        1.00 PQ: 0 ANSI: 0 CCS
Jun  2 07:29:34 localhost kernel: sd 4:0:0:0: Attached scsi generic sg2 type 0
Jun  2 07:29:34 localhost kernel: sd 4:0:0:1: Attached scsi generic sg3 type 0
Jun  2 07:29:34 localhost kernel: sd 4:0:0:0: [sdb] Attached SCSI removable disk
Jun  2 07:29:34 localhost kernel: sd 4:0:0:2: Attached scsi generic sg4 type 0
Jun  2 07:29:34 localhost kernel: sd 4:0:0:3: Attached scsi generic sg5 type 0
Jun  2 07:29:34 localhost kernel: sd 4:0:0:1: [sdc] Attached SCSI removable disk
Jun  2 07:29:34 localhost kernel: sd 4:0:0:2: [sdd] Attached SCSI removable disk
Jun  2 07:29:34 localhost kernel: sd 4:0:0:3: [sde] Attached SCSI removable disk
Jun  2 07:29:34 localhost kernel: k8temp 0000:00:18.3: Temperature readouts might be wrong - check erratum #141
Jun  2 07:29:34 localhost kernel: EDAC MC: Ver: 2.1.0 May  6 2010
Jun  2 07:29:34 localhost kernel: shpchp 0000:00:01.0: HPC vendor_id 1022 device_id 9602 ss_vid 1022 ss_did 9602
Jun  2 07:29:34 localhost kernel: shpchp 0000:00:01.0: Cannot reserve MMIO region
Jun  2 07:29:34 localhost kernel: shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
Jun  2 07:29:34 localhost kernel: piix4_smbus 0000:00:14.0: SMBus Host Controller at 0xb00, revision 0
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver usbserial
Jun  2 07:29:34 localhost kernel: USB Serial support registered for generic
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver usbserial_generic
Jun  2 07:29:34 localhost kernel: usbserial: USB Serial Driver core
Jun  2 07:29:34 localhost kernel: r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Jun  2 07:29:34 localhost kernel: r8169 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Jun  2 07:29:34 localhost kernel: eth0: RTL8168c/8111c at 0xffffc90012236000, 00:21:85:96:2e:5f, XID 1c4000c0 IRQ 26
Jun  2 07:29:34 localhost kernel: EDAC amd64_edac:  Ver: 3.3.0 May  6 2010
Jun  2 07:29:34 localhost kernel: EDAC amd64: This node reports that Memory ECC is currently disabled, set F3x44[22] (0000:00:18.3).
Jun  2 07:29:34 localhost kernel: EDAC amd64: ECC disabled in the BIOS or no ECC capability, module will not load.
Jun  2 07:29:34 localhost kernel: Either enable ECC checking or force module loading by setting 'ecc_enable_override'.
Jun  2 07:29:34 localhost kernel: (Note that use of the override may cause unknown side effects.)
Jun  2 07:29:34 localhost kernel: amd64_edac: probe of 0000:00:18.2 failed with error -22
Jun  2 07:29:34 localhost kernel: USB Serial support registered for GSM modem (1-port)
Jun  2 07:29:34 localhost kernel: option 5-1:1.0: GSM modem (1-port) converter detected
Jun  2 07:29:34 localhost kernel: usb 5-1: GSM modem (1-port) converter now attached to ttyUSB0
Jun  2 07:29:34 localhost kernel: option 5-1:1.1: GSM modem (1-port) converter detected
Jun  2 07:29:34 localhost kernel: usb 5-1: GSM modem (1-port) converter now attached to ttyUSB1
Jun  2 07:29:34 localhost kernel: usbcore: registered new interface driver option
Jun  2 07:29:34 localhost kernel: option: v0.7.2:USB Driver for GSM modems
Jun  2 07:29:34 localhost kernel: HDA Intel 0000:00:14.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Jun  2 07:29:34 localhost kernel: hda_codec: ALC1200: BIOS auto-probing.
Jun  2 07:29:34 localhost kernel: HDA Intel 0000:01:05.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
Jun  2 07:29:34 localhost kernel: scsi 8:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Jun  2 07:29:34 localhost kernel: sr1: scsi-1 drive
Jun  2 07:29:34 localhost kernel: sr 8:0:0:0: Attached scsi generic sg6 type 5
Jun  2 07:29:34 localhost kernel: ALSA sound/pci/hda/hda_intel.c:712: azx_get_response timeout, switching to polling mode: last cmd=0x000f0001
Jun  2 07:29:34 localhost kernel: kvm: Nested Virtualization enabled
Jun  2 07:29:34 localhost kernel: EXT4-fs (sda1): mounted filesystem with ordered data mode
Jun  2 07:29:34 localhost kernel: Adding 4931576k swap on /dev/mapper/vg_chrispc-lv_swap.  Priority:-1 extents:1 across:4931576k 
Jun  2 07:29:34 localhost kernel: readahead-disable-service: delaying service auditd
Jun  2 07:29:34 localhost kernel: NET: Registered protocol family 10
Jun  2 07:29:34 localhost kernel: lo: Disabled Privacy Extensions
Jun  2 07:29:34 localhost kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
Jun  2 07:29:35 localhost kernel: powernow-k8: Found 1 AMD Athlon(tm) 64 X2 Dual Core Processor 5000+ processors (2 cpu cores) (version 2.20.00)
Jun  2 07:29:35 localhost kernel: powernow-k8:    0 : fid 0x12 (2600 MHz), vid 0xa
Jun  2 07:29:35 localhost kernel: powernow-k8:    1 : fid 0x10 (2400 MHz), vid 0xc
Jun  2 07:29:35 localhost kernel: powernow-k8:    2 : fid 0xe (2200 MHz), vid 0xe
Jun  2 07:29:35 localhost kernel: powernow-k8:    3 : fid 0xc (2000 MHz), vid 0x10
Jun  2 07:29:35 localhost kernel: powernow-k8:    4 : fid 0xa (1800 MHz), vid 0x10
Jun  2 07:29:35 localhost kernel: powernow-k8:    5 : fid 0x2 (1000 MHz), vid 0x12
Jun  2 07:29:35 localhost cpuspeed: Enabling ondemand cpu frequency scaling governor
Jun  2 07:29:35 localhost kernel: Clocksource tsc unstable (delta = -214697231 ns)
Jun  2 07:29:36 localhost avahi-daemon[1160]: Found user 'avahi' (UID 498) and group 'avahi' (GID 489).
Jun  2 07:29:36 localhost avahi-daemon[1160]: Successfully dropped root privileges.
Jun  2 07:29:36 localhost avahi-daemon[1160]: avahi-daemon 0.6.25 starting up.
Jun  2 07:29:36 localhost avahi-daemon[1160]: WARNING: No NSS support for mDNS detected, consider installing nss-mdns!
Jun  2 07:29:36 localhost avahi-daemon[1160]: Successfully called chroot().
Jun  2 07:29:36 localhost avahi-daemon[1160]: Successfully dropped remaining capabilities.
Jun  2 07:29:36 localhost avahi-daemon[1160]: Loading service file /services/ssh.service.
Jun  2 07:29:36 localhost avahi-daemon[1160]: Loading service file /services/udisks.service.
Jun  2 07:29:36 localhost avahi-daemon[1160]: Network interface enumeration completed.
Jun  2 07:29:36 localhost avahi-daemon[1160]: Registering HINFO record with values 'X86_64'/'LINUX'.
Comment 4 Dan Williams 2010-06-07 13:58:35 EDT
Stephen, can you file another bug for your specific issue?
Comment 5 Dan Williams 2010-06-07 14:02:26 EDT
Andy, can you do the following for me?

1) what version of MM do you have installed?  'rpm -q ModemManager' from a terminal will gell you
2) make sure the  modem is unplugged
3) yum install gdb
5) service NetworkManager stop
6) killall -TERM modem-manager
7) gdb /usr/sbin/modem-manager
8) run --debug
6) service NetworkManager start

now plug the modem in an try to reproduce the problem.  When MM crashes, you won't get any notification in the logs, but in the terminal where gdb + modem-manager were running, you'll be dropped back to the "(gdb)" prompt.  From there, type 'backtrace' and attach the output to this bug.  You may have to hit return a few times to get it print out all the backtrace as it pauses when it fills up the terminal.

Thanks!
Comment 6 Andy 2010-06-08 01:15:41 EDT
Hi Dan

I reverted back to Fedora 12 where I can yum downgrade NetworkManager* ModemManager ppp.

I ran yum upgrade and the response is identical to Fedora 13. I then did your tests - results as following. If you need me to reload Fedora 13 and run the tests, I will be on leave from Thursday 3:30 PM SAST for three weeks.

rpm -q ModemManager
ModemManager-0.3-9.git20100409.fc12.i686

Debug outputs:-

[root@andys-nb ~]# gdb /usr/sbin/modem-manager
GNU gdb (GDB) Fedora (7.0.1-48.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/modem-manager...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install ModemManager-0.3-9.git20100409.fc12.i686
(gdb) run --debug
Starting program: /usr/sbin/modem-manager --debug
[Thread debugging using libthread_db enabled]
** Message: Loaded plugin Huawei
** Message: Loaded plugin Gobi
** Message: Loaded plugin ZTE
** Message: Loaded plugin AnyData
** Message: Loaded plugin Generic
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option High-Speed
** (modem-manager:2318): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2318): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2318): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2318): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2318): DEBUG: (net/pan0): could not get port's parent device
** (modem-manager:2318): DEBUG: (Huawei): (ttyUSB1) deferring support check
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2318): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) opening serial device...
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB0
** (modem-manager:2318): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:2318): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:2318): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- 'AT+CPIN?'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** (modem-manager:2318): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:2318): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2318): DEBUG: (ttyUSB1): <-- '<CR><LF>^SIMST:1,0<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB1): <-- '<CR><LF>^SRVST:2<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB1): <-- '<CR><LF>^RSSI:23<CR><LF>'
** Message: (ttyUSB1) closing serial device...
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB1
** (modem-manager:2318): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT^SYSCFG?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>^SYSCFG:2,2,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSCS: ("IRA","GSM","UCS2")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CSCS?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CREG=2<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSQ: 23,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,047,D6DA<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: Registration state changed: 1
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CGREG=2<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+COPS: 0,2,"65501",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2318): DEBUG: (ttyUSB0): <-- '<CR><LF>+COPS: 0,0,"FFFFFFFFFFFFFFFF",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2318): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'

Program exited with code 01.
(gdb) backtrace
No stack.
(gdb) 
No stack.
(gdb) 
No stack.
(gdb) 
No stack.
(gdb) 

Log Outouts:-

Jun  8 06:50:41 andys-nb kernel: usb 6-1: new full speed USB device using uhci_hcd and address 3
Jun  8 06:50:41 andys-nb kernel: usb 6-1: New USB device found, idVendor=12d1, idProduct=1003
Jun  8 06:50:41 andys-nb kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  8 06:50:41 andys-nb kernel: usb 6-1: Product: HUAWEI Mobile
Jun  8 06:50:41 andys-nb kernel: usb 6-1: Manufacturer: HUAWEI Technologies
Jun  8 06:50:41 andys-nb kernel: usb 6-1: configuration #1 chosen from 1 choice
Jun  8 06:50:41 andys-nb kernel: Initializing USB Mass Storage driver...
Jun  8 06:50:41 andys-nb kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jun  8 06:50:41 andys-nb kernel: usbcore: registered new interface driver usb-storage
Jun  8 06:50:41 andys-nb kernel: USB Mass Storage support registered.
Jun  8 06:50:41 andys-nb kernel: usb 6-1: USB disconnect, address 3
Jun  8 06:50:42 andys-nb kernel: usb 6-1: new full speed USB device using uhci_hcd and address 4
Jun  8 06:50:42 andys-nb kernel: usb 6-1: New USB device found, idVendor=12d1, idProduct=1003
Jun  8 06:50:42 andys-nb kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  8 06:50:42 andys-nb kernel: usb 6-1: Product: HUAWEI Mobile
Jun  8 06:50:42 andys-nb kernel: usb 6-1: Manufacturer: HUAWEI Technologies
Jun  8 06:50:42 andys-nb kernel: usb 6-1: configuration #1 chosen from 1 choice
Jun  8 06:50:42 andys-nb kernel: scsi7 : SCSI emulation for USB Mass Storage devices
Jun  8 06:50:42 andys-nb kernel: usbcore: registered new interface driver usbserial
Jun  8 06:50:42 andys-nb kernel: USB Serial support registered for generic
Jun  8 06:50:42 andys-nb kernel: usbcore: registered new interface driver usbserial_generic
Jun  8 06:50:42 andys-nb kernel: usbserial: USB Serial Driver core
Jun  8 06:50:42 andys-nb kernel: USB Serial support registered for GSM modem (1-port)
Jun  8 06:50:42 andys-nb kernel: option 6-1:1.0: GSM modem (1-port) converter detected
Jun  8 06:50:42 andys-nb kernel: usb 6-1: GSM modem (1-port) converter now attached to ttyUSB0
Jun  8 06:50:42 andys-nb kernel: option 6-1:1.1: GSM modem (1-port) converter detected
Jun  8 06:50:42 andys-nb kernel: usb 6-1: GSM modem (1-port) converter now attached to ttyUSB1
Jun  8 06:50:42 andys-nb kernel: usbcore: registered new interface driver option
Jun  8 06:50:42 andys-nb kernel: option: v0.7.2:USB Driver for GSM modems
Jun  8 06:50:44 andys-nb kernel: btusb_intr_complete: hci0 urb f2f52980 failed to resubmit (1)
Jun  8 06:50:44 andys-nb kernel: btusb_bulk_complete: hci0 urb f2f52b00 failed to resubmit (1)
Jun  8 06:50:44 andys-nb kernel: btusb_bulk_complete: hci0 urb f2f52a00 failed to resubmit (1)
Jun  8 06:50:47 andys-nb kernel: scsi 7:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Jun  8 06:50:47 andys-nb kernel: sr1: scsi-1 drive
Jun  8 06:50:47 andys-nb kernel: sr 7:0:0:0: Attached scsi generic sg2 type 5
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): new GSM device (driver: 'option1')
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): now managed
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): deactivating device (reason: 2).
Jun  8 06:50:48 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Jun  8 06:50:51 andys-nb NetworkManager: <info> Activation (ttyUSB0) starting connection 'Vodacom Default 1'
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jun  8 06:50:51 andys-nb NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jun  8 06:50:51 andys-nb NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jun  8 06:50:51 andys-nb NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jun  8 06:50:51 andys-nb NetworkManager: <info> the modem manager disappeared
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): now unmanaged
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 4 -> 1 (reason 36)
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): deactivating device (reason: 36).
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): cleaning up...
Jun  8 06:50:51 andys-nb NetworkManager: <info> (ttyUSB0): taking down device.
Jun  8 06:50:51 andys-nb NetworkManager: <info> trying to start the modem manager...
Jun  8 06:50:51 andys-nb NetworkManager: <info> modem-manager is now available
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Huawei
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Gobi
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin ZTE
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin AnyData
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Generic
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Novatel
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Option
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Nokia
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Sierra
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Longcheer
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Ericsson MBM
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin MotoC
Jun  8 06:50:51 andys-nb modem-manager: Loaded plugin Option High-Speed
Jun  8 06:50:51 andys-nb modem-manager: (ttyUSB0) opening serial device...
Jun  8 06:50:52 andys-nb modem-manager: (ttyUSB0) closing serial device...
Jun  8 06:50:52 andys-nb modem-manager: (ttyUSB0) opening serial device...
Jun  8 06:50:52 andys-nb modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB0
Jun  8 06:50:52 andys-nb modem-manager: (ttyUSB0) closing serial device...
Jun  8 06:50:54 andys-nb modem-manager: (ttyUSB1) opening serial device...
Jun  8 06:50:59 andys-nb modem-manager: (ttyUSB1) closing serial device...
Jun  8 06:50:59 andys-nb modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB1
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): new GSM device (driver: 'option1')
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/3
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): now managed
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): deactivating device (reason: 2).
Jun  8 06:50:59 andys-nb NetworkManager: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)

What do you make of this Dan?
Comment 7 Dan Williams 2010-06-15 01:21:49 EDT
Hmm, so if you could do the 'gdb' procedure again, but right after the:

7) gdb /usr/sbin/modem-manager

do

break assert
break exit
break _exit

and then try to get the backtrace, that might shed a bit more light.  MM is apparently exiting expectedly, not crashing, and we need to find out where that is.
Comment 8 Andy 2010-06-30 05:12:42 EDT
Hi Dan

Sorry for the delay. Have been on leave.

[andys@andys-nb ~]$ su -
Password: 
[root@andys-nb ~]# rpm -q ModemManager
ModemManager-0.3-13.git20100507.fc12.i686
[root@andys-nb ~]# service NetworkManager stop
Stopping NetworkManager daemon:                            [  OK  ]
[root@andys-nb ~]# killall -TERM modem-manager
You have new mail in /var/spool/mail/root
[root@andys-nb ~]# gdb /usr/sbin/modem-manager 
GNU gdb (GDB) Fedora (7.0.1-48.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/modem-manager...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install ModemManager-0.3-13.git20100507.fc12.i686
(gdb) break assert
Function "assert" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 1 (assert) pending.
(gdb) break exit
Breakpoint 2 at 0x8050568
(gdb) break _exit
Breakpoint 3 at 0x804f948
(gdb) run --debug
Starting program: /usr/sbin/modem-manager --debug
[Thread debugging using libthread_db enabled]
** Message: Loaded plugin Huawei
** Message: Loaded plugin Gobi
** Message: Loaded plugin ZTE
** Message: Loaded plugin AnyData
** Message: Loaded plugin Generic
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option High-Speed
** (modem-manager:2433): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:2433): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:2433): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:2433): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:2433): DEBUG: (net/pan0): could not get port's parent device
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2433): DEBUG: <1277888611.424347> (ttyUSB0) device open count is 1 (open)
** (modem-manager:2433): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:2433): DEBUG: (Huawei): (ttyUSB1) deferring support check
** (modem-manager:2433): DEBUG: <1277888611.525360> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2433): DEBUG: <1277888612.326403> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888612.326654> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) type primary claimed by /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2433): DEBUG: <1277888612.336308> (ttyUSB0) device open count is 1 (open)
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1 claimed port ttyUSB0
** (modem-manager:2433): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** (modem-manager:2433): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** (modem-manager:2433): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** (modem-manager:2433): DEBUG: <1277888612.336776> (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:2433): DEBUG: <1277888612.347030> (ttyUSB0): <-- 'AT+CPIN?'
** (modem-manager:2433): DEBUG: <1277888612.347447> (ttyUSB0): <-- '<CR>'
** (modem-manager:2433): DEBUG: <1277888612.348400> (ttyUSB0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888612.348532> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** (modem-manager:2433): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** (modem-manager:2433): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2433): DEBUG: <1277888614.431337> (ttyUSB1) device open count is 1 (open)
** (modem-manager:2433): DEBUG: <1277888615.660361> (ttyUSB1): <-- '<CR><LF>^SIMST:1,0<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888615.662289> (ttyUSB1): <-- '<CR><LF>^SRVST:2<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888619.431274> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) type ignored claimed by /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1 claimed port ttyUSB1
** (modem-manager:2433): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:2433): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyUSB0
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2433): DEBUG: <1277888631.251290> (ttyUSB0) device open count is 1 (open)
** (modem-manager:2433): DEBUG: <1277888631.251340> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2433): DEBUG: <1277888631.352363> (ttyUSB0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.364949> (ttyUSB0): <-- 'ATZ E0 V1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.391333> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.391428> (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:2433): DEBUG: <1277888631.398229> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.398302> (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.411337> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.411415> (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.423302> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.423415> (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.439368> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.439449> (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2433): DEBUG: <1277888631.453297> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.453349> (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:2433): DEBUG: <1277888631.462298> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.462370> (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:2433): DEBUG: <1277888631.473212> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.473270> (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:2433): DEBUG: <1277888631.482429> (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.482515> (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:2433): DEBUG: <1277888631.495320> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.495404> (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:2433): DEBUG: <1277888631.507183> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.507241> (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:2433): DEBUG: <1277888631.520248> (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.520348> (ttyUSB0): --> 'AT^SYSCFG?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.539321> (ttyUSB0): <-- '<CR><LF>^SYSCFG:2,2,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.539423> (ttyUSB0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.551314> (ttyUSB0): <-- '<CR><LF>+CSCS: ("IRA","GSM","UCS2")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.551445> (ttyUSB0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2433): DEBUG: <1277888631.569219> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.569279> (ttyUSB0): --> 'AT+CSCS?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.580281> (ttyUSB0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.580526> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2433): DEBUG: <1277888631.580823> (ttyUSB0): --> 'AT+CREG=2<CR>'
** (modem-manager:2433): DEBUG: <1277888631.592646> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.592790> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:2433): DEBUG: <1277888631.601320> (ttyUSB0): <-- '<CR><LF>+CSQ: 17,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.601634> (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.613226> (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,047,D6DA<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: Registration state changed: 1
** (modem-manager:2433): DEBUG: <1277888631.613339> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:2433): DEBUG: <1277888631.613394> (ttyUSB0): --> 'AT+CGREG=2<CR>'
** (modem-manager:2433): DEBUG: <1277888631.627310> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.627439> (ttyUSB0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.649182> (ttyUSB0): <-- '<CR><LF>+COPS: 0,2,"65501",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.649386> (ttyUSB0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2433): DEBUG: <1277888631.727234> (ttyUSB0): <-- '<CR><LF>+COPS: 0,0,"FFFFFFFFFFFFFFFF",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2433): DEBUG: <1277888631.727447> (ttyUSB0): --> 'AT+CSQ<CR>'

Breakpoint 3, 0x004990c4 in _exit () from /lib/libc.so.6
(gdb)

Hope this helps
Comment 9 Dan Williams 2010-07-02 13:22:18 EDT
Could you get it to this point again, and then do "bt" at the (gdb) prompt to get a backtrace?  THat will let us figure out just *where* it's exiting.  Thanks!
Comment 10 Andy 2010-07-05 01:04:55 EDT
Hi Dan

[andys@andys-nb ~]$ su -
Password: 
[root@andys-nb ~]# rpm -q ModemManager
ModemManager-0.3-13.git20100507.fc12.i686
[root@andys-nb ~]# service NetworkManager stop
Stopping NetworkManager daemon:                            [  OK  ]
[root@andys-nb ~]# killall -TERM modem-manager
You have new mail in /var/spool/mail/root
[root@andys-nb ~]# gdb /usr/sbin/modem-manager 
GNU gdb (GDB) Fedora (7.0.1-48.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/modem-manager...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install ModemManager-0.3-13.git20100507.fc12.i686
(gdb) break assert
Function "assert" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 1 (assert) pending.
(gdb) break exit
Breakpoint 2 at 0x8050568
(gdb) break _exit
Breakpoint 3 at 0x804f948
(gdb) run --debug
Starting program: /usr/sbin/modem-manager --debug
[Thread debugging using libthread_db enabled]
** Message: Loaded plugin Huawei
** Message: Loaded plugin Gobi
** Message: Loaded plugin ZTE
** Message: Loaded plugin AnyData
** Message: Loaded plugin Generic
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option High-Speed
** (modem-manager:18846): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:18846): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:18846): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:18846): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:18846): DEBUG: (net/pan0): could not get port's parent device
** (modem-manager:18846): DEBUG: (Huawei): (ttyUSB1) deferring support check
** Message: (ttyUSB0) opening serial device...
** (modem-manager:18846): DEBUG: <1278305910.575306> (ttyUSB0) device open count is 1 (open)
** (modem-manager:18846): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:18846): DEBUG: <1278305910.676348> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:18846): DEBUG: <1278305911.477435> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305911.477689> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) type primary claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** Message: (ttyUSB0) opening serial device...
** (modem-manager:18846): DEBUG: <1278305911.487348> (ttyUSB0) device open count is 1 (open)
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB0
** (modem-manager:18846): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:18846): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:18846): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:18846): DEBUG: <1278305911.487825> (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:18846): DEBUG: <1278305911.497775> (ttyUSB0): <-- 'AT+CPIN?'
** (modem-manager:18846): DEBUG: <1278305911.498650> (ttyUSB0): <-- '<CR>'
** (modem-manager:18846): DEBUG: <1278305911.499594> (ttyUSB0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305911.499726> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** (modem-manager:18846): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** (modem-manager:18846): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:18846): DEBUG: <1278305913.567352> (ttyUSB1) device open count is 1 (open)
** (modem-manager:18846): DEBUG: <1278305914.726468> (ttyUSB1): <-- '<CR><LF>^SIMST:1,0<CR><LF><CR><LF>^SRVST:2<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305918.568576> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) type ignored claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 claimed port ttyUSB1
** (modem-manager:18846): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:18846): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyUSB0
** Message: (ttyUSB0) opening serial device...
** (modem-manager:18846): DEBUG: <1278305931.302287> (ttyUSB0) device open count is 1 (open)
** (modem-manager:18846): DEBUG: <1278305931.302334> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:18846): DEBUG: <1278305931.403368> (ttyUSB0): --> 'ATZ E0 V1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.417194> (ttyUSB0): <-- 'ATZ E0 V1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.441509> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.441704> (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:18846): DEBUG: <1278305931.448513> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.448554> (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.466458> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.466529> (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.477371> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.477438> (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.491423> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.491601> (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:18846): DEBUG: <1278305931.504488> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.504635> (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:18846): DEBUG: <1278305931.513480> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.513634> (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:18846): DEBUG: <1278305931.525344> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.525412> (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:18846): DEBUG: <1278305931.535376> (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.535463> (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:18846): DEBUG: <1278305931.544445> (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.544497> (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:18846): DEBUG: <1278305931.556319> (ttyUSB0): <-- '<CR><LF>E220<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.556383> (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:18846): DEBUG: <1278305931.566512> (ttyUSB0): <-- '<CR><LF>11.117.09.04.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.566698> (ttyUSB0): --> 'AT^SYSCFG?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.586506> (ttyUSB0): <-- '<CR><LF>^SYSCFG:2,2,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.586639> (ttyUSB0): --> 'AT+CSCS=?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.599443> (ttyUSB0): <-- '<CR><LF>+CSCS: ("IRA","GSM","UCS2")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.599594> (ttyUSB0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:18846): DEBUG: <1278305931.617307> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.617370> (ttyUSB0): --> 'AT+CSCS?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.627350> (ttyUSB0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.627475> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:18846): DEBUG: <1278305931.627624> (ttyUSB0): --> 'AT+CREG=2<CR>'
** (modem-manager:18846): DEBUG: <1278305931.640305> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.640373> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:18846): DEBUG: <1278305931.649302> (ttyUSB0): <-- '<CR><LF>+CSQ: 19,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.649452> (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.661320> (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,047,D6DA<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: Registration state changed: 1
** (modem-manager:18846): DEBUG: <1278305931.661456> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:18846): DEBUG: <1278305931.661529> (ttyUSB0): --> 'AT+CGREG=2<CR>'
** (modem-manager:18846): DEBUG: <1278305931.674447> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.674574> (ttyUSB0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.698382> (ttyUSB0): <-- '<CR><LF>+COPS: 0,2,"65501",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.698762> (ttyUSB0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:18846): DEBUG: <1278305931.769504> (ttyUSB0): <-- '<CR><LF>+COPS: 0,0,"FFFFFFFFFFFFFFFF",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:18846): DEBUG: <1278305931.807507> (ttyUSB0): --> 'AT+CSQ<CR>'

Breakpoint 3, 0x004990c4 in _exit () from /lib/libc.so.6
(gdb) bt
#0  0x004990c4 in _exit () from /lib/libc.so.6
#1  0x00a9d18e in ?? () from /lib/libdbus-1.so.3
#2  0x00a7d51c in ?? () from /lib/libdbus-1.so.3
#3  0x00a7ec1c in ?? () from /lib/libdbus-1.so.3
#4  0x00a7eca2 in dbus_connection_send () from /lib/libdbus-1.so.3
#5  0x00a78a38 in ?? () from /lib/libdbus-1.so.3
#6  0x00a78ac1 in dbus_bus_remove_match () from /lib/libdbus-1.so.3
#7  0x0208b49b in ?? () from /usr/lib/libdbus-glib-1.so.2
#8  0x0208d0ea in ?? () from /usr/lib/libdbus-glib-1.so.2
#9  0x006fad0f in g_object_run_dispose () from /lib/libgobject-2.0.so.0
#10 0x0208d1eb in ?? () from /usr/lib/libdbus-glib-1.so.2
#11 0x0208d47e in ?? () from /usr/lib/libdbus-glib-1.so.2
#12 0x00a800fb in dbus_connection_dispatch () from /lib/libdbus-1.so.3
#13 0x0208420e in ?? () from /usr/lib/libdbus-glib-1.so.2
#14 0x06f8dfb8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#15 0x06f918e8 in ?? () from /lib/libglib-2.0.so.0
#16 0x06f91d5f in g_main_loop_run () from /lib/libglib-2.0.so.0
#17 0x08050a2c in main ()
(gdb)

Hope this helps

Regards

Andy
Comment 11 Andy 2010-07-05 01:49:59 EDT
Hi Dan

Downgrade on Fedora 12 no longer works as a temporary fix making this a critical problem. ( yum downgrade NetworkManager* ModemManager ppp )

error while loading shared libraries: libnm-glib.so.2: cannot open shared object file: no such file of directory.

Regards

Andy
Comment 12 Andy 2010-07-05 05:28:10 EDT
Hi Dan

Fix for downgrade

# cd /usr/lib
# rm libnm-glib.so.2
# ln -s libnm-glib.so.2.1.0 libnm-glib.so.2
# rm libnm-util.so.1
# ln -s libnm-util.so.1.1.0 libnm-util.so.1

Regards

Andy
Comment 13 Dan Williams 2010-07-20 13:00:25 EDT
Yeah this is good stuff, I think I know what's going on here now.  We're sending out an invalid D-Bus signal, which causes us to get kicked off the bus.
Comment 14 Dan Williams 2010-07-20 13:30:44 EDT
Upstream fix is d18fbaa1c73a88b6f36437fbf712134c8aad5238
Comment 15 Dan Williams 2010-07-20 13:44:38 EDT
*** Bug 597296 has been marked as a duplicate of this bug. ***
Comment 16 Fedora Update System 2010-07-22 10:18:49 EDT
ModemManager-0.4-4.git20100720.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ModemManager-0.4-4.git20100720.fc13
Comment 17 Fedora Update System 2010-07-22 10:19:34 EDT
ModemManager-0.4-4.git20100720.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.4-4.git20100720.fc12
Comment 18 Louis van Dyk 2010-07-22 11:18:31 EDT
Hi Dan

I got so excited as I plugged in my E220 ...

But alas, my excitement was short-lived.  My notebook runs F12.  Here is my latest /var/log/messages.  I will test F13 when I get home.

The process got further, because now the Huawei is RECOGNISED, which it was not before.


Jul 22 17:16:34 lvd-pc NetworkManager[1635]: <info> Activation (ttyUSB0) starting connection 'MTN Default'
Jul 22 17:16:34 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jul 22 17:16:34 lvd-pc NetworkManager[1635]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jul 22 17:16:34 lvd-pc NetworkManager[1635]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jul 22 17:16:34 lvd-pc NetworkManager[1635]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jul 22 17:16:34 lvd-pc modem-manager: (ttyUSB0) opening serial device...
Jul 22 17:16:34 lvd-pc modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Jul 22 17:16:35 lvd-pc modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Jul 22 17:16:35 lvd-pc modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> the modem manager disappeared
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): now unmanaged
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): device state change: 4 -> 1 (reason 36)
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): deactivating device (reason: 36).
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): cleaning up...
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): taking down device.
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> trying to start the modem manager...
Jul 22 17:16:35 lvd-pc NetworkManager[1635]: <info> modem-manager is now available
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Ericsson MBM
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin AnyData
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Longcheer
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Generic
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Novatel
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Option
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Option High-Speed
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Nokia
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Gobi
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin MotoC
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Sierra
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin ZTE
Jul 22 17:16:35 lvd-pc modem-manager: Loaded plugin Huawei
Jul 22 17:16:35 lvd-pc modem-manager: (ttyUSB0) opening serial device...
Jul 22 17:16:36 lvd-pc modem-manager: (ttyUSB0) closing serial device...
Jul 22 17:16:36 lvd-pc modem-manager: (ttyUSB0) opening serial device...
Jul 22 17:16:36 lvd-pc modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1 claimed port ttyUSB0
Jul 22 17:16:36 lvd-pc modem-manager: (ttyUSB0) closing serial device...
Jul 22 17:16:38 lvd-pc modem-manager: (ttyUSB1) opening serial device...
Jul 22 17:16:43 lvd-pc modem-manager: (ttyUSB1) closing serial device...
Jul 22 17:16:43 lvd-pc modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1 claimed port ttyUSB1
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <warn> (ttyUSB0): failed to look up interface index
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): new GSM device (driver: 'option1' ifindex: -1)
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/5
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): now managed
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): deactivating device (reason: 2).
Jul 22 17:16:43 lvd-pc NetworkManager[1635]: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)


... still available to test ...

Regards
Louis
Comment 19 Louis van Dyk 2010-07-22 15:12:27 EDT
Hi

This is my test at home on Fedora 13.  I have indicated where I plug the device in, and where I click connect.  It also fails immediately.

--- DEVICE PLUGGED INTO USB PORT ---
Jul 22 21:07:55 fedora kernel: usb 4-2: new full speed USB device using uhci_hcd and address 5
Jul 22 21:07:55 fedora kernel: usb 4-2: New USB device found, idVendor=12d1, idProduct=1003
Jul 22 21:07:55 fedora kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jul 22 21:07:55 fedora kernel: usb 4-2: Product: HUAWEI Mobile
Jul 22 21:07:55 fedora kernel: usb 4-2: Manufacturer: HUAWEI Technologies
Jul 22 21:07:55 fedora kernel: scsi25 : usb-storage 4-2:1.0
Jul 22 21:07:55 fedora kernel: usb 4-2: USB disconnect, address 5
Jul 22 21:07:55 fedora usb_id[12088]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2'
Jul 22 21:07:55 fedora usb_id[12089]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2'
Jul 22 21:07:55 fedora usb_id[12090]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2'
Jul 22 21:07:55 fedora usb_id[12091]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2'
Jul 22 21:07:56 fedora usb_id[12095]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2'
Jul 22 21:07:56 fedora kernel: usb 4-2: new full speed USB device using uhci_hcd and address 6
Jul 22 21:07:56 fedora kernel: usb 4-2: New USB device found, idVendor=12d1, idProduct=1003
Jul 22 21:07:56 fedora kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jul 22 21:07:56 fedora kernel: usb 4-2: Product: HUAWEI Mobile
Jul 22 21:07:56 fedora kernel: usb 4-2: Manufacturer: HUAWEI Technologies
Jul 22 21:07:56 fedora kernel: scsi28 : usb-storage 4-2:1.2
Jul 22 21:07:56 fedora kernel: usbcore: registered new interface driver usbserial
Jul 22 21:07:56 fedora kernel: USB Serial support registered for generic
Jul 22 21:07:56 fedora kernel: usbcore: registered new interface driver usbserial_generic
Jul 22 21:07:56 fedora kernel: usbserial: USB Serial Driver core
Jul 22 21:07:56 fedora kernel: USB Serial support registered for GSM modem (1-port)
Jul 22 21:07:56 fedora kernel: option 4-2:1.0: GSM modem (1-port) converter detected
Jul 22 21:07:56 fedora kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB0
Jul 22 21:07:56 fedora kernel: option 4-2:1.1: GSM modem (1-port) converter detected
Jul 22 21:07:56 fedora kernel: usb 4-2: GSM modem (1-port) converter now attached to ttyUSB1
Jul 22 21:07:56 fedora kernel: usbcore: registered new interface driver option
Jul 22 21:07:56 fedora kernel: option: v0.7.2:USB Driver for GSM modems
Jul 22 21:07:57 fedora modem-manager: (ttyUSB0) opening serial device...
Jul 22 21:07:58 fedora modem-manager: (ttyUSB0) closing serial device...
Jul 22 21:07:58 fedora modem-manager: (ttyUSB0) opening serial device...
Jul 22 21:07:58 fedora modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2 claimed port ttyUSB0
Jul 22 21:07:58 fedora modem-manager: (ttyUSB0) closing serial device...
Jul 22 21:08:00 fedora modem-manager: (ttyUSB1) opening serial device...
Jul 22 21:08:00 fedora modem-manager: (ttyUSB1) closing serial device...
Jul 22 21:08:00 fedora modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2 claimed port ttyUSB1
Jul 22 21:08:00 fedora NetworkManager[1609]: <warn> (ttyUSB0): failed to look up interface index
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): new GSM device (driver: 'option1' ifindex: -1)
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): now managed
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): deactivating device (reason: 2).
Jul 22 21:08:00 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Jul 22 21:08:01 fedora kernel: scsi 28:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
Jul 22 21:08:01 fedora kernel: sr1: scsi-1 drive
Jul 22 21:08:01 fedora kernel: sr 28:0:0:0: Attached scsi generic sg4 type 5


--- USING NM APPLET I CLICK ON "MTN Default" ---
Jul 22 21:08:29 fedora NetworkManager[1609]: <info> Activation (ttyUSB0) starting connection 'MTN Default'
Jul 22 21:08:29 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jul 22 21:08:29 fedora NetworkManager[1609]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jul 22 21:08:29 fedora NetworkManager[1609]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jul 22 21:08:29 fedora NetworkManager[1609]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jul 22 21:08:29 fedora modem-manager: (ttyUSB0) opening serial device...
Jul 22 21:08:29 fedora modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Jul 22 21:08:29 fedora modem-manager: (ttyUSB1) opening serial device...
Jul 22 21:08:29 fedora modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Jul 22 21:08:29 fedora modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> the modem manager disappeared
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> (ttyUSB0): now unmanaged
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 4 -> 1 (reason 36)
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> (ttyUSB0): deactivating device (reason: 36).
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> (ttyUSB0): cleaning up...
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> (ttyUSB0): taking down device.
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> trying to start the modem manager...
Jul 22 21:08:30 fedora modem-manager: ModemManager (version 0.4) starting...
Jul 22 21:08:30 fedora NetworkManager[1609]: <info> modem-manager is now available
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Longcheer
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Option High-Speed
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Huawei
Jul 22 21:08:30 fedora modem-manager: Loaded plugin SimTech
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Gobi
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Ericsson MBM
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Generic
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Nokia
Jul 22 21:08:30 fedora modem-manager: Loaded plugin MotoC
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Novatel
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Option
Jul 22 21:08:30 fedora modem-manager: Loaded plugin ZTE
Jul 22 21:08:30 fedora modem-manager: Loaded plugin AnyData
Jul 22 21:08:30 fedora modem-manager: Loaded plugin Sierra
Jul 22 21:08:30 fedora modem-manager: (ttyUSB0) opening serial device...
Jul 22 21:08:31 fedora modem-manager: (ttyUSB0) closing serial device...
Jul 22 21:08:31 fedora modem-manager: (ttyUSB0) opening serial device...
Jul 22 21:08:31 fedora modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2 claimed port ttyUSB0
Jul 22 21:08:31 fedora modem-manager: (ttyUSB0) closing serial device...
Jul 22 21:08:33 fedora modem-manager: (ttyUSB1) opening serial device...
Jul 22 21:08:40 fedora modem-manager: (ttyUSB1) closing serial device...
Jul 22 21:08:41 fedora modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2 claimed port ttyUSB1
Jul 22 21:08:41 fedora NetworkManager[1609]: <warn> (ttyUSB0): failed to look up interface index
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): new GSM device (driver: 'option1' ifindex: -1)
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/3
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): now managed
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): deactivating device (reason: 2).
Jul 22 21:08:41 fedora NetworkManager[1609]: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Comment 20 Fedora Update System 2010-07-22 22:38:44 EDT
ModemManager-0.4-4.git20100720.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.4-4.git20100720.fc13
Comment 21 Dan Williams 2010-07-23 13:17:28 EDT
Louis, can you do the same "modem-manager --debug" test as before?

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start

and then try to reproduce the problem.  Then grab the 'modem-manager --debug' output and attach it to or paste it into this bug so I can see where it's failing now.
Comment 22 Louis van Dyk 2010-07-23 13:43:08 EDT
**I AM _SO_ EMBARRASSED!!**

When I downloaded the updated rpm from koji, I applied it with 
"yum update ModemManager-0.4.4.git20100720.fc13.x86_64.rpm"

In my HASTE I did not notice that there was a message: 
Package ModemManager-0.4-4.git20100720.fc13.x86_64.rpm is not signed
... and thus the package was not installed.

I installed the package.  Interestingly, on BOTH my notebook F12 and PC F13, it fails on the first connection after the update.  After that it connects every time.  So THANK you THANK you THANK you Dan and your team for your efforts.

This works!!
Comment 23 Fedora Update System 2010-08-05 19:32:33 EDT
ModemManager-0.4-4.git20100720.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Andreas Utterberg 2010-10-10 15:43:54 EDT
Problem still persist for me on Fedora 13 and HUAWEI E1750 Mobile Broadband.

ModemManager-0.4-4.git20100720.fc13.i686
NetworkManager-0.8.1-6.git20100831.fc13.i686

the modem blinks green but restarts.

Snip from /var/log/messages:

ct 10 21:34:35 noname modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB0
Oct 10 21:34:35 noname modem-manager: (ttyUSB1) opening serial device...
Oct 10 21:34:35 noname modem-manager: (ttyUSB2) opening serial device...
Oct 10 21:34:35 noname modem-manager: (ttyUSB0) closing serial device...
Oct 10 21:34:42 noname modem-manager: (ttyUSB1) closing serial device...
Oct 10 21:34:43 noname modem-manager: (ttyUSB2) closing serial device...
Oct 10 21:34:43 noname modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB1
Oct 10 21:34:43 noname modem-manager: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB2
Oct 10 21:34:43 noname NetworkManager[23984]: <warn> (ttyUSB0): failed to look up interface index
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): new GSM device (driver: 'option1' ifindex: -1)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/2
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): now managed
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): deactivating device (reason: 2).
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) starting connection 'Telia_3G'
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 4 -> 6 (reason 0)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Oct 10 21:34:43 noname NetworkManager[23984]: Tried to set deprecated property gsm/puk
Oct 10 21:34:43 noname NetworkManager[23984]: Tried to set deprecated property gsm/puk
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Oct 10 21:34:43 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 6 -> 4 (reason 0)
Oct 10 21:34:43 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Oct 10 21:34:43 noname NetworkManager[23984]: <warn> GSM modem enable failed: (32) SIM PIN required
Oct 10 21:34:43 noname modem-manager: (ttyUSB0) opening serial device...
Oct 10 21:34:43 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: unlock no longer required
Oct 10 21:34:43 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: # unlock retries for (null) is 0
Oct 10 21:34:43 noname modem-manager: (ttyUSB0) closing serial device...
Oct 10 21:34:43 noname modem-manager: (ttyUSB0) opening serial device...
Oct 10 21:34:43 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Oct 10 21:34:45 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
Oct 10 21:34:45 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> searching)
Oct 10 21:34:47 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (searching -> registered)
Oct 10 21:34:47 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
Oct 10 21:34:47 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
Oct 10 21:34:47 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 4 -> 5 (reason 0)
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
Oct 10 21:34:47 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 5 -> 7 (reason 0)
Oct 10 21:34:47 noname NetworkManager[23984]: <info> starting PPP connection
Oct 10 21:34:47 noname NetworkManager[23984]: <info> pppd started with pid 24077
Oct 10 21:34:47 noname NetworkManager[23984]: <info> Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Oct 10 21:34:47 noname pppd[24077]: Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
Oct 10 21:34:47 noname pppd[24077]: pppd 2.4.5 started by andutt, uid 0
Oct 10 21:34:47 noname pppd[24077]: Using interface ppp0
Oct 10 21:34:47 noname pppd[24077]: Connect: ppp0 <--> /dev/ttyUSB0
Oct 10 21:34:47 noname NetworkManager[23984]: Tried to set deprecated property gsm/puk
Oct 10 21:34:47 noname NetworkManager[23984]: Tried to set deprecated property gsm/puk
Oct 10 21:34:47 noname pppd[24077]: CHAP authentication succeeded
Oct 10 21:34:47 noname pppd[24077]: CHAP authentication succeeded
Oct 10 21:34:52 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:52 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:53 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:53 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:53 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:53 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:53 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:54 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:54 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:54 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:54 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:54 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:55 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:55 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:55 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:55 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:55 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:56 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:56 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:56 noname kernel: option: option_instat_callback: error -71
Oct 10 21:34:56 noname pppd[24077]: Modem hangup
Oct 10 21:34:56 noname kernel: usb 2-2: USB disconnect, address 29
Oct 10 21:34:56 noname kernel: option: option_instat_callback: error -108
Oct 10 21:34:56 noname kernel: option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
Oct 10 21:34:56 noname kernel: option 2-2:1.0: device disconnected
Oct 10 21:34:56 noname kernel: option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
Oct 10 21:34:56 noname kernel: option 2-2:1.1: device disconnected
Oct 10 21:34:56 noname kernel: option1 ttyUSB2: GSM modem (1-port) converter now disconnected from ttyUSB2
Oct 10 21:34:56 noname kernel: option 2-2:1.2: device disconnected
Oct 10 21:34:56 noname pppd[24077]: Connection terminated.
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 7 -> 9 (reason 5)
Oct 10 21:34:56 noname NetworkManager[23984]: <info> Marking connection 'Telia_3G' invalid.
Oct 10 21:34:56 noname NetworkManager[23984]: <warn> Activation (ttyUSB0) failed.
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 9 -> 3 (reason 0)
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): deactivating device (reason: 0).
Oct 10 21:34:56 noname modem-manager: (ttyUSB0) closing serial device...
Oct 10 21:34:56 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
Oct 10 21:34:56 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> connected)
Oct 10 21:34:56 noname modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disabled)
Oct 10 21:34:56 noname NetworkManager[23984]: <info> disconnect failed: (32) The serial port is not open.
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): now unmanaged
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): device state change: 3 -> 1 (reason 36)
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): cleaning up...
Oct 10 21:34:56 noname NetworkManager[23984]: <info> (ttyUSB0): taking down device.
Oct 10 21:34:56 noname kernel: usb 2-2: new high speed USB device using ehci_hcd and address 30
Oct 10 21:34:56 noname kernel: usb 2-2: New USB device found, idVendor=12d1, idProduct=1446
Oct 10 21:34:56 noname kernel: usb 2-2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
Oct 10 21:34:56 noname kernel: usb 2-2: Product: HUAWEI Mobile
Oct 10 21:34:56 noname kernel: usb 2-2: Manufacturer: HUAWEI Technology
Oct 10 21:34:56 noname kernel: scsi37 : usb-storage 2-2:1.0
Oct 10 21:34:56 noname kernel: scsi38 : usb-storage 2-2:1.1

$>modem-manager --debug:
** Message: ModemManager (version 0.4-4.git20100720.fc13) starting...
** Message: Loaded plugin Option
** Message: Loaded plugin Nokia
** Message: Loaded plugin ZTE
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Sierra
** Message: Loaded plugin Novatel
** Message: Loaded plugin Generic
** Message: Loaded plugin SimTech
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Gobi
** Message: Loaded plugin AnyData
** Message: Loaded plugin MotoC
** (modem-manager:23903): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:23903): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:23903): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:23903): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:23903): DEBUG: (Huawei): (ttyUSB2) deferring support check
** (modem-manager:23903): DEBUG: (Huawei): (ttyUSB1) deferring support check
** Message: (ttyUSB0) opening serial device...
** (modem-manager:23903): DEBUG: <1286739201.954565> (ttyUSB0) device open count is 1 (open)
** (modem-manager:23903): DEBUG: (ttyUSB0): probe requested by plugin 'Huawei'
** (modem-manager:23903): DEBUG: <1286739202.55652> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:23903): DEBUG: <1286739203.158671> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+CME ERROR: SIM busy<CR><LF>'
** (modem-manager:23903): DEBUG: Got failure code 14: SIM busy
** (modem-manager:23903): DEBUG: <1286739203.159271> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:23903): DEBUG: <1286739203.960823> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+CME ERROR: SIM PIN required<CR><LF>'
** (modem-manager:23903): DEBUG: Got failure code 11: SIM PIN required
** (modem-manager:23903): DEBUG: <1286739203.961153> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:23903): DEBUG: <1286739204.762558> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+CME ERROR: SIM PIN required<CR><LF>'
** (modem-manager:23903): DEBUG: Got failure code 11: SIM PIN required
** (modem-manager:23903): DEBUG: <1286739204.762868> (ttyUSB0): --> 'ATI<CR>'
** (modem-manager:23903): DEBUG: (ttyUSB2): re-checking support...
** (modem-manager:23903): DEBUG: (Huawei): (ttyUSB2) deferring support check
** (modem-manager:23903): DEBUG: (ttyUSB1): re-checking support...
** (modem-manager:23903): DEBUG: (Huawei): (ttyUSB1) deferring support check
** (modem-manager:23903): DEBUG: <1286739205.165802> (ttyUSB0): <-- 'ATI<CR><CR><LF>Manufacturer: huawei<CR><LF>Model: E1750<CR><LF>Revision: 11.126.07.04.00<CR><LF>IMEI: 351910048087485<CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: <1286739205.166382> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) type primary claimed by /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** Message: (ttyUSB0) opening serial device...
** (modem-manager:23903): DEBUG: <1286739205.174215> (ttyUSB0) device open count is 1 (open)
** (modem-manager:23903): DEBUG: <1286739205.174312> (ttyUSB0) device open count is 2 (open)
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB0
** (modem-manager:23903): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** (modem-manager:23903): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** (modem-manager:23903): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** (modem-manager:23903): DEBUG: <1286739205.174901> (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:23903): DEBUG: <1286739205.186356> (ttyUSB0): <-- 'AT+CPIN?'
** (modem-manager:23903): DEBUG: <1286739205.194159> (ttyUSB0): <-- '<CR><CR><LF>+CPIN: SIM PIN<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: get_unlock_retries: pin type 'sim-pin'
** (modem-manager:23903): DEBUG: <1286739205.194473> (ttyUSB0) device open count is 3 (open)
** (modem-manager:23903): DEBUG: <1286739205.194622> (ttyUSB0) device open count is 2 (close)
** (modem-manager:23903): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** (modem-manager:23903): DEBUG: <1286739205.194840> (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:23903): DEBUG: <1286739205.200448> (ttyUSB0): <-- 'ATE'
** (modem-manager:23903): DEBUG: <1286739205.206969> (ttyUSB0): <-- '0<CR><CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: <1286739205.207070> (ttyUSB0): --> 'AT+CGSN<CR>'
** (modem-manager:23903): DEBUG: <1286739205.222002> (ttyUSB0): <-- '<CR><LF>351910048087485<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: <1286739205.222209> (ttyUSB0) device open count is 1 (close)
** (modem-manager:23903): DEBUG: <1286739205.222250> (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:23903): DEBUG: <1286739205.232984> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: <1286739205.233137> (ttyUSB0): --> 'AT^CPIN?<CR>'
** (modem-manager:23903): DEBUG: <1286739205.246969> (ttyUSB0): <-- '<CR><LF>^CPIN: SIM PIN,3,10,3,10,3<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:23903): DEBUG: <1286739205.247107> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** (modem-manager:23903): DEBUG: (ttyUSB2): re-checking support...
** Message: (ttyUSB2) opening serial device...
** (modem-manager:23903): DEBUG: <1286739208.168194> (ttyUSB2) device open count is 1 (open)
** (modem-manager:23903): DEBUG: (ttyUSB1): re-checking support...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:23903): DEBUG: <1286739208.171242> (ttyUSB1) device open count is 1 (open)
** (modem-manager:23903): DEBUG: <1286739215.876724> (ttyUSB2) device open count is 0 (close)
** Message: (ttyUSB2) closing serial device...
** (modem-manager:23903): DEBUG: <1286739215.878641> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB2) type ignored claimed by /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB2
** (modem-manager:23903): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** Message: (ttyUSB1) type ignored claimed by /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2
** Message: (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 claimed port ttyUSB1
** (modem-manager:23903): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:23903): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyUSB0

Let me know if i can provide any other logs.

Note You need to log in before you can comment on or make changes to this bug.